Index: scripts/patch/bash-patch.sh
===================================================================
--- scripts/patch/bash-patch.sh	(revision d8b9d997b88a5427f69365d5400ba3ee3543d5f3)
+++ scripts/patch/bash-patch.sh	(revision 9676bac4766762237235bfeca50b1d93342f134f)
@@ -9,6 +9,7 @@
 #
 if [ "${VERSION}" = "" ]; then
-	echo "$0 - Bash_Version"
-	echo "This will Create a Patch for Bash Bash_Version"
+  echo "$0 - Bash_Version"
+  echo "This will Create a Patch for Bash Bash_Version"
+  exit 255
 fi
 
@@ -27,5 +28,5 @@
 #
 if ! [ -e bash-${VERSION}.tar.gz ]; then
-	wget ftp://ftp.cwru.edu/pub/bash/bash-${VERSION}.tar.gz
+  wget ftp://ftp.cwru.edu/pub/bash/bash-${VERSION}.tar.gz
 fi
 
@@ -44,36 +45,36 @@
 COUNT=1
 while [ ${COUNT} -le ${FILES} ]; do
-	cd /tmp/bash-${VERSION}           
-	DLCOUNT="${COUNT}"
-	SKIPME=no
-	if [ "${COUNT}" -lt "100" ]; then
-		DLCOUNT="0${COUNT}"
-	fi
-	if [ "${COUNT}" -lt "10" ]; then
-		DLCOUNT="00${COUNT}"
-	fi
-	for skip in ${SKIPPATCH} ; do
-		if [ "${DLCOUNT}" = "$skip" ]; then
-			echo "Patch bash${VERSION2}-${DLCOUNT} skipped"
-			SKIPPED="${SKIPPED} ${DLCOUNT}"
-			SKIPME=yes
-		fi
-	done
-	if [ "${SKIPME}" != "yes" ]; then
-		if ! [ -e ${VERSION}.${DLCOUNT} ]; then
-			wget --quiet ${PATCHURL}/bash${VERSION2}-${DLCOUNT}
-		fi
-		cd ${CURRENTDIR}
-		patch --dry-run -s -f -Np0 -i /tmp/bash-${VERSION}/bash${VERSION2}-${DLCOUNT}
-		if [ "$?" = "0" ]; then
-			echo "Patch bash${VERSION2}-${DLCOUNT} applied"
-			patch -s -Np0 -i /tmp/bash-${VERSION}/bash${VERSION2}-${DLCOUNT}
-		else
-			echo "Patch bash${VERSION2}-${DLCOUNT} not applied"
-			rm -f /tmp/bash-${VERSION}/bash${VERSION2}-${DLCOUNT}
-			SKIPPED="${SKIPPED} ${DLCOUNT}"
-		fi
-	fi
-	COUNT=`expr ${COUNT} + 1`
+  cd /tmp/bash-${VERSION}           
+  DLCOUNT="${COUNT}"
+  SKIPME=no
+  if [ "${COUNT}" -lt "100" ]; then
+    DLCOUNT="0${COUNT}"
+  fi
+  if [ "${COUNT}" -lt "10" ]; then
+    DLCOUNT="00${COUNT}"
+  fi
+  for skip in ${SKIPPATCH} ; do
+    if [ "${DLCOUNT}" = "$skip" ]; then
+      echo "Patch bash${VERSION2}-${DLCOUNT} skipped"
+      SKIPPED="${SKIPPED} ${DLCOUNT}"
+      SKIPME=yes
+    fi
+  done
+  if [ "${SKIPME}" != "yes" ]; then
+    if ! [ -e ${VERSION}.${DLCOUNT} ]; then
+      wget --quiet ${PATCHURL}/bash${VERSION2}-${DLCOUNT}
+    fi
+    cd ${CURRENTDIR}
+    patch --dry-run -s -f -Np0 -i /tmp/bash-${VERSION}/bash${VERSION2}-${DLCOUNT}
+    if [ "$?" = "0" ]; then
+      echo "Patch bash${VERSION2}-${DLCOUNT} applied"
+      patch -s -Np0 -i /tmp/bash-${VERSION}/bash${VERSION2}-${DLCOUNT}
+    else
+     echo "Patch bash${VERSION2}-${DLCOUNT} not applied"
+     rm -f /tmp/bash-${VERSION}/bash${VERSION2}-${DLCOUNT}
+     SKIPPED="${SKIPPED} ${DLCOUNT}"
+    fi
+  fi
+  COUNT=`expr ${COUNT} + 1`
 done
 
@@ -82,11 +83,11 @@
 
 for dir in $(find * -type d); do
-	cd /usr/src/bash-${VERSION}/${dir}
-	for file in $(find . -name '*~'); do
-		rm -f ${file}
-	done
-	for file in $(find . -name '*.orig'); do
-		rm -f ${file}
-	done
+  cd /usr/src/bash-${VERSION}/${dir}
+  for file in $(find . -name '*~'); do
+    rm -f ${file}
+  done
+  for file in $(find . -name '*.orig'); do
+    rm -f ${file}
+  done
 done
 cd /usr/src/bash-${VERSION}
@@ -103,9 +104,8 @@
 echo "Description: Contains all upstream patches up to ${VERSION}-${FILES}" >> bash-${VERSION}-branch_update-x.patch
 if [ -n "${SKIPPED}" ]; then
-	echo "             The following patches were skipped" >> bash-${VERSION}-branch_update-x.patch
-	echo "            ${SKIPPED}" >> bash-${VERSION}-branch_update-x.patch
+  echo "             The following patches were skipped" >> bash-${VERSION}-branch_update-x.patch
+  echo "            ${SKIPPED}" >> bash-${VERSION}-branch_update-x.patch
 fi
 echo "" >> bash-${VERSION}-branch_update-x.patch
 diff -Naur bash-${VERSION}.orig bash-${VERSION} >> bash-${VERSION}-branch_update-x.patch
 echo "Created /usr/src/bash-${VERSION}-branch_update-x.patch."
-
Index: scripts/patch/binutils-patch.sh
===================================================================
--- scripts/patch/binutils-patch.sh	(revision d8b9d997b88a5427f69365d5400ba3ee3543d5f3)
+++ scripts/patch/binutils-patch.sh	(revision 9676bac4766762237235bfeca50b1d93342f134f)
@@ -9,6 +9,7 @@
 #
 if [ "${VERSION}" = "" ]; then
-	echo "$0 - Binutils_Version"
-	echo "This will Create a Patch for Binutils Binutils_Version"
+  echo "$0 - Binutils_Version"
+  echo "This will Create a Patch for Binutils Binutils_Version"
+  exit 255
 fi
 
@@ -17,5 +18,5 @@
 cd /usr/src
 if ! [ -e binutils-${VERSION}.tar.bz2  ]; then
-	wget ftp://ftp.gnu.org/gnu/binutils/binutils-${VERSION}.tar.bz2
+  wget ftp://ftp.gnu.org/gnu/binutils/binutils-${VERSION}.tar.bz2
 fi
 
@@ -38,19 +39,19 @@
 DIRS="binutils-${VERSION} binutils-${VERSION}.orig"
 for DIRECTORY in ${DIRS}; do
-cd /usr/src/${DIRECTORY}
-	FILE_LIST=".cvsignore *.gmo"
-	for files in ${FILE_LIST}; do
-		REMOVE=$(find * -name ${files})
-		for file in $REMOVE; do
-			rm -f ${file}
-		done
-	done
+  cd /usr/src/${DIRECTORY}
+  FILE_LIST=".cvsignore *.gmo"
+  for files in ${FILE_LIST}; do
+    REMOVE=$(find * -name ${files})
+    for file in $REMOVE; do
+      rm -f ${file}
+    done
+  done
 
-	REMOVE=".cvsignore MAINTAINERS COPYING.LIBGLOSS COPYING.NEWLIB README-maintainer-mode depcomp
-		ChangeLog compile ltgcc.m4 lt~obsolete.m4 etc/ChangeLog etc/add-log.el etc/add-log.vi"
-	for file in $REMOVE; do
-		rm -f ${file}
-	done
-	cd ..
+  REMOVE=".cvsignore MAINTAINERS COPYING.LIBGLOSS COPYING.NEWLIB README-maintainer-mode depcomp
+    ChangeLog compile ltgcc.m4 lt~obsolete.m4 etc/ChangeLog etc/add-log.el etc/add-log.vi"
+  for file in $REMOVE; do
+    rm -f ${file}
+    done
+    cd ..
 done
 
@@ -58,11 +59,11 @@
 #
 for dir in $(find * -type d); do
-	cd /usr/src/binutils-${VERSION}
-	for file in $(find . -name '*~'); do
-		rm -f ${file}
-	done
-	for file in $(find . -name '*.orig'); do
-		rm -f ${file}
-	done
+  cd /usr/src/binutils-${VERSION}
+  for file in $(find . -name '*~'); do
+    rm -f ${file}
+  done
+  for file in $(find . -name '*.orig'); do
+    rm -f ${file}
+  done
 done
 cd /usr/src/binutils-${VERSION}
@@ -89,3 +90,2 @@
 diff -Naur binutils-${VERSION}.orig binutils-${VERSION} >> binutils-${VERSION}-branch_update-x.patch
 echo "Created /usr/src/binutils-${VERSION}-branch_update-x.patch."
-
Index: scripts/patch/gcc-patch.sh
===================================================================
--- scripts/patch/gcc-patch.sh	(revision d8b9d997b88a5427f69365d5400ba3ee3543d5f3)
+++ scripts/patch/gcc-patch.sh	(revision 9676bac4766762237235bfeca50b1d93342f134f)
@@ -9,6 +9,7 @@
 #
 if [ "${VERSION}" = "" ]; then
-	echo "$0 - GCC_Version"
-	echo "This will Create a Patch for GCC GCC_Version"
+  echo "$0 - GCC_Version"
+  echo "This will Create a Patch for GCC GCC_Version"
+  exit 255
 fi
 
@@ -17,5 +18,5 @@
 cd /usr/src
 if ! [ -e gcc-${VERSION}.tar.bz2  ]; then
-	wget ftp://ftp.gnu.org/gnu/gcc/gcc-${VERSION}/gcc-${VERSION}.tar.bz2
+  wget ftp://ftp.gnu.org/gnu/gcc/gcc-${VERSION}/gcc-${VERSION}.tar.bz2
 fi
 
@@ -38,17 +39,17 @@
 DIRS="gcc-${VERSION} gcc-${VERSION}.orig"
 for DIRECTORY in ${DIRS}; do
-	cd ${DIRECTORY}
-	REMOVE="ABOUT-NLS COPYING COPYING.LIB ChangeLog ChangeLog.tree-ssa MAINTAINERS Makefile.def
-		Makefile.in Makefile.tpl README README.SCO boehm-gc/ChangeLog BUGS FAQ LAST_UPDATED
-		MD5SUMS NEWS bugs.html faq.html gcc/BASE-VER gcc/DATESTAMP gcc/DEV-PHASE gcc/c-parse.c
-		gcc/gengtype-lex.c gcc/c-parse.y gcc/gengtype-yacc.c gcc/gengtype-yacc.h gcc/f/BUGS gcc/f/NEWS
-		gcc/java/parse-scan.c gcc/java/parse.c gcc/objc/objc-parse.c gcc/objc/objc-parse.y"
-	for file in ${REMOVE}; do
-		rm -f $file
-	done
-	rm -rf INSTALL
-	rm -f fastjar/*.{1,info} gcc/doc/*.{1,info,7} gcc/fortran/*.{1,info,7}
-	rm -f gcc/po/*.{gmo,po}  libcpp/po/*.{gmo,po} libgomp/*.{1,info,7}
-	cd .. 
+  cd ${DIRECTORY}
+  REMOVE="ABOUT-NLS COPYING COPYING.LIB ChangeLog ChangeLog.tree-ssa MAINTAINERS Makefile.def
+    Makefile.in Makefile.tpl README README.SCO boehm-gc/ChangeLog BUGS FAQ LAST_UPDATED
+    MD5SUMS NEWS bugs.html faq.html gcc/BASE-VER gcc/DATESTAMP gcc/DEV-PHASE gcc/c-parse.c
+    gcc/gengtype-lex.c gcc/c-parse.y gcc/gengtype-yacc.c gcc/gengtype-yacc.h gcc/f/BUGS gcc/f/NEWS
+    gcc/java/parse-scan.c gcc/java/parse.c gcc/objc/objc-parse.c gcc/objc/objc-parse.y"
+  for file in ${REMOVE}; do
+    rm -f $file
+  done
+  rm -rf INSTALL
+  rm -f fastjar/*.{1,info} gcc/doc/*.{1,info,7} gcc/fortran/*.{1,info,7}
+  rm -f gcc/po/*.{gmo,po}  libcpp/po/*.{gmo,po} libgomp/*.{1,info,7}
+  cd .. 
 done
 
@@ -66,4 +67,2 @@
 diff -Naur gcc-${VERSION}.orig gcc-${VERSION} >> gcc-${VERSION}-branch_update-x.patch
 echo "Created /usr/src/gcc-${VERSION}-branch_update-x.patch."
-
-
Index: scripts/patch/gcc-specs-patch.sh
===================================================================
--- scripts/patch/gcc-specs-patch.sh	(revision d8b9d997b88a5427f69365d5400ba3ee3543d5f3)
+++ scripts/patch/gcc-specs-patch.sh	(revision 9676bac4766762237235bfeca50b1d93342f134f)
@@ -9,6 +9,7 @@
 #
 if [ "${VERSION}" = "" ]; then
-	echo "$0 - GCC_Version"
-	echo "This will Create a Patch for GCC Specs GCC_Version"
+  echo "$0 - GCC_Version"
+  echo "This will Create a Patch for GCC Specs GCC_Version"
+  exit 255
 fi
 
@@ -17,5 +18,5 @@
 cd /usr/src
 if ! [ -e gcc-${VERSION}.tar.bz2  ]; then
-	wget ftp://ftp.gnu.org/gnu/gcc/gcc-${VERSION}/gcc-${VERSION}.tar.bz2
+  wget ftp://ftp.gnu.org/gnu/gcc/gcc-${VERSION}/gcc-${VERSION}.tar.bz2
 fi
 
@@ -31,14 +32,14 @@
 cd /usr/src/gcc-${VERSION}
 for file in $(find gcc/config -name "*.h"); do
-	if [ "$(echo ${file} | grep -c bsd)" = "0" ]; then
-		if [ "$(cat ${file} | grep -c DYNAMIC_LINKER)" != "0" ]; then
-			echo "Modifying ${file}..."
-			sed -i '/DYNAMIC_LINKER/s@"/lib@"/tools/lib@' ${file}
-		fi
-		if [ "$(cat ${file} | grep -c DYNAMIC_LINKER)" != "0" ]; then
-			echo "Modifying ${file}..."
-			sed -i '/-dynamic-linker/s@ /lib@ /tools/lib@' ${file}
-		fi
-	fi
+  if [ "$(echo ${file} | grep -c bsd)" = "0" ]; then
+    if [ "$(cat ${file} | grep -c DYNAMIC_LINKER)" != "0" ]; then
+      echo "Modifying ${file}..."
+      sed -i '/DYNAMIC_LINKER/s@"/lib@"/tools/lib@' ${file}
+    fi
+    if [ "$(cat ${file} | grep -c DYNAMIC_LINKER)" != "0" ]; then
+      echo "Modifying ${file}..."
+      sed -i '/-dynamic-linker/s@ /lib@ /tools/lib@' ${file}
+    fi
+  fi
 done
 
Index: scripts/patch/ncurses-patch.sh
===================================================================
--- scripts/patch/ncurses-patch.sh	(revision d8b9d997b88a5427f69365d5400ba3ee3543d5f3)
+++ scripts/patch/ncurses-patch.sh	(revision 9676bac4766762237235bfeca50b1d93342f134f)
@@ -9,6 +9,7 @@
 #
 if [ "${VERSION}" = "" ]; then
-        echo "$0 - Ncurses_Version"
-        echo "This will Create a Patch for Ncurses Ncurses_Version"
+  echo "$0 - Ncurses_Version"
+  echo "This will Create a Patch for Ncurses Ncurses_Version"
+  exit 255
 fi
 
@@ -26,5 +27,5 @@
 #
 if ! [ -e ncurses-${VERSION}.tar.gz ]; then
-	wget ftp://invisible-island.net/ncurses/ncurses-${VERSION}.tar.gz
+  wget ftp://invisible-island.net/ncurses/ncurses-${VERSION}.tar.gz
 fi
 
@@ -42,12 +43,12 @@
 cd /tmp/ncurses-${VERSION}
 if [ "${ROLLUP}" != "" ]; then
-	echo "Getting Rollup ${ROLLUP} Patch..."
-	wget --quiet ftp://invisible-island.net/ncurses/${VERSION}/${ROLLUP}
-	cd ${CURRENTDIR}
-	echo "Applying Rollup ${ROLLUP} Patch..."
-	cp /tmp/ncurses-${VERSION}/${ROLLUP} ${CURRENTDIR}/${ROLLUP}
-	bunzip2 ${ROLLUP}
-	ROLLUP2=$(echo ${ROLLUP} | sed -e 's/.bz2//g')
-	sh ${ROLLUP2}
+  echo "Getting Rollup ${ROLLUP} Patch..."
+  wget --quiet ftp://invisible-island.net/ncurses/${VERSION}/${ROLLUP}
+  cd ${CURRENTDIR}
+  echo "Applying Rollup ${ROLLUP} Patch..."
+  cp /tmp/ncurses-${VERSION}/${ROLLUP} ${CURRENTDIR}/${ROLLUP}
+  bunzip2 ${ROLLUP}
+  ROLLUP2=$(echo ${ROLLUP} | sed -e 's/.bz2//g')
+  sh ${ROLLUP2}
 fi
 
@@ -55,21 +56,21 @@
 #
 for file in ${FILES}; do
-	if [ "${ROLLPATCH}" != "" ]; then
-		TEST=$(echo ${file} | grep -c ${ROLLPATCH})
-	else
-		TEST=0
-	fi
-	if [ "${TEST}" = "0" ]; then
-		cd /tmp/ncurses-${VERSION}
-		echo "Getting Patch ${file}..."
-		wget --quiet ftp://invisible-island.net/ncurses/${VERSION}/${file}
-		cd ${CURRENTDIR}
-		gunzip -c /tmp/ncurses-${VERSION}/${file} | patch --dry-run -s -f -Np1
-		if [ "$?" = "0" ]; then
-			echo "Apply Patch ${file}..."
-			gunzip -c /tmp/ncurses-${VERSION}/${file} | patch -Np1
-			LASTFILE=$(echo ${file} | cut -f2 -d. | cut -f2 -d-)
-		fi
-	fi
+  if [ "${ROLLPATCH}" != "" ]; then
+    TEST=$(echo ${file} | grep -c ${ROLLPATCH})
+  else
+    TEST=0
+  fi
+  if [ "${TEST}" = "0" ]; then
+    cd /tmp/ncurses-${VERSION}
+    echo "Getting Patch ${file}..."
+    wget --quiet ftp://invisible-island.net/ncurses/${VERSION}/${file}
+    cd ${CURRENTDIR}
+    gunzip -c /tmp/ncurses-${VERSION}/${file} | patch --dry-run -s -f -Np1
+    if [ "$?" = "0" ]; then
+      echo "Apply Patch ${file}..."
+      gunzip -c /tmp/ncurses-${VERSION}/${file} | patch -Np1
+      LASTFILE=$(echo ${file} | cut -f2 -d. | cut -f2 -d-)
+    fi
+  fi
 done
 
@@ -79,11 +80,11 @@
 #
 for dir in $(find * -type d); do
-	cd /usr/src/ncurses-${VERSION}/${dir}
-	for file in $(find . -name '*~'); do
-		rm -f ${file}
-	done
-	for file in $(find . -name '*.orig'); do
-		rm -f ${file}
-	done
+  cd /usr/src/ncurses-${VERSION}/${dir}
+  for file in $(find . -name '*~'); do
+    rm -f ${file}
+  done
+  for file in $(find . -name '*.orig'); do
+    rm -f ${file}
+  done
 done
 cd /usr/src/ncurses-${VERSION}
Index: scripts/patch/perl-patch.sh
===================================================================
--- scripts/patch/perl-patch.sh	(revision 9676bac4766762237235bfeca50b1d93342f134f)
+++ scripts/patch/perl-patch.sh	(revision 9676bac4766762237235bfeca50b1d93342f134f)
@@ -0,0 +1,83 @@
+#!/bin/bash
+# Create a Perl Patch
+
+# Get Version #
+#
+VERSION=$1
+
+# Check Input
+#
+if [ "${VERSION}" = "" ]; then
+  echo "$0 - Perl_Version"
+  echo "This will Create a Patch for Perl Perl_Version"
+  exit 255
+fi
+
+# Download Perl Source
+#
+cd /usr/src
+if ! [ -e perl-${VERSION}.tar.gz  ]; then
+  wget http://www.cpan.org/src/perl-${VERSION}.tar.gz
+fi
+
+# Cleanup Directory
+#
+rm -rf perl-${VERSION} perl-${VERSION}.orig
+tar xvf perl-${VERSION}.tar.gz
+mv perl-${VERSION} perl-${VERSION}.orig
+CURRENTDIR=$(pwd -P)
+
+# Get Current Updates from CVS
+#
+cd /usr/src
+FIXEDVERSION=$(echo ${VERSION} | sed -e 's ..$  ')
+rsync -avz rsync://perl5.git.perl.org/APC/perl-${FIXEDVERSION}.x perl-${VERSION}
+
+# Cleanup
+#
+DIRS="perl-${VERSION} perl-${VERSION}.orig"
+for DIRECTORY in ${DIRS}; do
+  cd /usr/src/${DIRECTORY}
+  FILE_LIST=".patch"
+  for files in ${FILE_LIST}; do
+    REMOVE=$(find * -name ${files})
+    for file in $REMOVE; do
+      rm -f ${file}
+    done
+  done
+
+  REMOVE="Changes Changes5.10 Changes5.8"
+  for file in $REMOVE; do
+    rm -f ${file}
+    done
+    cd ..
+done
+
+# Cleanup Directory
+#
+for dir in $(find * -type d); do
+  cd /usr/src/perl-${VERSION}
+  for file in $(find . -name '*~'); do
+    rm -f ${file}
+  done
+  for file in $(find . -name '*.orig'); do
+    rm -f ${file}
+  done
+done
+cd /usr/src/perl-${VERSION}
+rm -f *~ *.orig
+rm -f /usr/src/perl-${VERSION}.orig/md5.sum
+
+# Create Patch
+#
+cd /usr/src
+echo "Submitted By: Jim Gifford (jim at cross-lfs dot org)" > perl-${VERSION}-branch_update-x.patch
+echo "Date: `date +%m-%d-%Y`" >> perl-${VERSION}-branch_update-x.patch
+echo "Initial Package Version: ${VERSION}" >> perl-${VERSION}-branch_update-x.patch
+echo "Origin: Upstream" >> perl-${VERSION}-branch_update-x.patch
+echo "Upstream Status: Applied" >> perl-${VERSION}-branch_update-x.patch
+echo "Description: This is a branch update for perl-${VERSION}, and should be" >> perl-${VERSION}-branch_update-x.patch
+echo "             rechecked periodically." >> perl-${VERSION}-branch_update-x.patch
+echo "" >> perl-${VERSION}-branch_update-x.patch
+diff -Naur perl-${VERSION}.orig perl-${VERSION} >> perl-${VERSION}-branch_update-x.patch
+echo "Created /usr/src/perl-${VERSION}-branch_update-x.patch."
Index: scripts/patch/readline-patch.sh
===================================================================
--- scripts/patch/readline-patch.sh	(revision d8b9d997b88a5427f69365d5400ba3ee3543d5f3)
+++ scripts/patch/readline-patch.sh	(revision 9676bac4766762237235bfeca50b1d93342f134f)
@@ -9,6 +9,7 @@
 #
 if [ "${VERSION}" = "" ]; then
-	echo "$0 - Readline_Version"
-	echo "This will Create a Patch for Readline Readline_Version"
+  echo "$0 - Readline_Version"
+  echo "This will Create a Patch for Readline Readline_Version"
+  exit 255
 fi
 
@@ -27,5 +28,5 @@
 #
 if ! [ -e readline-${VERSION}.tar.gz ]; then
-	wget ftp://ftp.cwru.edu/pub/bash/readline-${VERSION}.tar.gz
+  wget ftp://ftp.cwru.edu/pub/bash/readline-${VERSION}.tar.gz
 fi
 
@@ -44,36 +45,36 @@
 COUNT=1
 while [ ${COUNT} -le ${FILES} ]; do
-	cd /tmp/readline-${VERSION}           
-	DLCOUNT="${COUNT}"
-	SKIPME=no
-	if [ "${COUNT}" -lt "100" ]; then
-		DLCOUNT="0${COUNT}"
-	fi
-	if [ "${COUNT}" -lt "10" ]; then
-		DLCOUNT="00${COUNT}"
-	fi
-	for skip in ${SKIPPATCH} ; do
-		if [ "${DLCOUNT}" = "$skip" ]; then
-			echo "Patch readline${VERSION2}-${DLCOUNT} skipped"
-			SKIPPED="${SKIPPED} ${DLCOUNT}"
-			SKIPME=yes
-		fi
-	done
-	if [ "${SKIPME}" != "yes" ]; then
-		if ! [ -e ${VERSION}.${DLCOUNT} ]; then
-			wget --quiet ${PATCHURL}/readline${VERSION2}-${DLCOUNT}
-		fi
-		cd ${CURRENTDIR}
-		patch --dry-run -s -f -Np0 -i /tmp/readline-${VERSION}/readline${VERSION2}-${DLCOUNT}
-		if [ "$?" = "0" ]; then
-			echo "Patch readline${VERSION2}-${DLCOUNT} applied"
-			patch -s -Np0 -i /tmp/readline-${VERSION}/readline${VERSION2}-${DLCOUNT}
-		else
-			echo "Patch readline${VERSION2}-${DLCOUNT} not applied"
-			rm -f /tmp/readline-${VERSION}/readline${VERSION2}-${DLCOUNT}
-			SKIPPED="${SKIPPED} ${DLCOUNT}"
-		fi
-	fi
-	COUNT=`expr ${COUNT} + 1`
+  cd /tmp/readline-${VERSION}           
+  DLCOUNT="${COUNT}"
+  SKIPME=no
+  if [ "${COUNT}" -lt "100" ]; then
+    DLCOUNT="0${COUNT}"
+  fi
+  if [ "${COUNT}" -lt "10" ]; then
+    DLCOUNT="00${COUNT}"
+  fi
+  for skip in ${SKIPPATCH} ; do
+    if [ "${DLCOUNT}" = "$skip" ]; then
+      echo "Patch readline${VERSION2}-${DLCOUNT} skipped"
+      SKIPPED="${SKIPPED} ${DLCOUNT}"
+      SKIPME=yes
+    fi
+  done
+  if [ "${SKIPME}" != "yes" ]; then
+    if ! [ -e ${VERSION}.${DLCOUNT} ]; then
+      wget --quiet ${PATCHURL}/readline${VERSION2}-${DLCOUNT}
+    fi
+    cd ${CURRENTDIR}
+    patch --dry-run -s -f -Np0 -i /tmp/readline-${VERSION}/readline${VERSION2}-${DLCOUNT}
+    if [ "$?" = "0" ]; then
+      echo "Patch readline${VERSION2}-${DLCOUNT} applied"
+      patch -s -Np0 -i /tmp/readline-${VERSION}/readline${VERSION2}-${DLCOUNT}
+    else
+      echo "Patch readline${VERSION2}-${DLCOUNT} not applied"
+      rm -f /tmp/readline-${VERSION}/readline${VERSION2}-${DLCOUNT}
+      SKIPPED="${SKIPPED} ${DLCOUNT}"
+     fi
+    fi
+    COUNT=`expr ${COUNT} + 1`
 done
 
@@ -83,11 +84,11 @@
 #
 for dir in $(find * -type d); do
-	cd /usr/src/readline-${VERSION}/${dir}
-	for file in $(find . -name '*~'); do
-		rm -f ${file}
-	done
-	for file in $(find . -name '*.orig'); do
-		rm -f ${file}
-	done
+  cd /usr/src/readline-${VERSION}/${dir}
+  for file in $(find . -name '*~'); do
+    rm -f ${file}
+  done
+  for file in $(find . -name '*.orig'); do
+    rm -f ${file}
+  done
 done
 cd /usr/src/readline-${VERSION}
@@ -104,9 +105,8 @@
 echo "Description: Contains all upstream patches up to ${VERSION}-${FILES}" >> readline-${VERSION}-branch_update-x.patch
 if [ -n "${SKIPPED}" ]; then
-	echo "            Thee following patches were skipped" >> readline-${VERSION}-branch_update-x.patch
-	echo "            ${SKIPPED}" >> readline-${VERSION}-branch_update-x.patch
+  echo "            Thee following patches were skipped" >> readline-${VERSION}-branch_update-x.patch
+  echo "            ${SKIPPED}" >> readline-${VERSION}-branch_update-x.patch
 fi
 echo "" >> readline-${VERSION}-branch_update-x.patch
 diff -Naur readline-${VERSION}.orig readline-${VERSION} >> readline-${VERSION}-branch_update-x.patch
 echo "Created /usr/src/readline-${VERSION}-branch_update-x.patch."
-
Index: scripts/patch/vim-patch.sh
===================================================================
--- scripts/patch/vim-patch.sh	(revision d8b9d997b88a5427f69365d5400ba3ee3543d5f3)
+++ scripts/patch/vim-patch.sh	(revision 9676bac4766762237235bfeca50b1d93342f134f)
@@ -9,6 +9,7 @@
 #
 if [ "${VERSION}" = "" ]; then
-	echo "$0 - Vim_Version"
-	echo "This will Create a Patch for Vim Vim_Version"
+  echo "$0 - Vim_Version"
+  echo "This will Create a Patch for Vim Vim_Version"
+  exit 255
 fi
 
@@ -27,5 +28,5 @@
 #
 if ! [ -e vim-${VERSION}.tar.bz2 ]; then
-	wget ftp://ftp.vim.org/pub/vim/unix/vim-${VERSION}.tar.bz2
+  wget ftp://ftp.vim.org/pub/vim/unix/vim-${VERSION}.tar.bz2
 fi
 
@@ -44,36 +45,36 @@
 COUNT=1
 while [ ${COUNT} -le ${FILES} ]; do
-	cd /tmp/vim-${VERSION}            
-	DLCOUNT="${COUNT}"
-	SKIPME=no
-	if [ "${COUNT}" -lt "100" ]; then
-		DLCOUNT="0${COUNT}"
-	fi
-	if [ "${COUNT}" -lt "10" ]; then
-	DLCOUNT="00${COUNT}"
-	fi
-	for skip in ${SKIPPATCH} ; do
-		if [ "${DLCOUNT}" = "${skip}" ]; then
-			echo "Patch ${VERSION}.${DLCOUNT} skipped"
-			SKIPPED="${SKIPPED} ${DLCOUNT}"
-			SKIPME=yes
-		fi
-	done
-	if [ "${SKIPME}" != "yes" ]; then
-	if ! [ -e ${VERSION}.${DLCOUNT} ]; then
-		wget --quiet $PATCHURL/${VERSION}.${DLCOUNT}
-	fi
-		cd $CURRENTDIR
-		patch --dry-run -s -f -Np0 -i /tmp/vim-${VERSION}/${VERSION}.${DLCOUNT}
-		if [ "$?" = "0" ]; then
-		echo "Patch ${VERSION}.${DLCOUNT} applied"
-			patch -s -Np0 -i /tmp/vim-${VERSION}/${VERSION}.${DLCOUNT}
-		else
-			echo "Patch ${VERSION}.${DLCOUNT} not applied"
-			rm -f /tmp/vim-${VERSION}/${VERSION}.${DLCOUNT}
-			SKIPPED="${SKIPPED} ${DLCOUNT}"
-		fi
-	fi
-	COUNT=`expr ${COUNT} + 1`
+  cd /tmp/vim-${VERSION}            
+  DLCOUNT="${COUNT}"
+  SKIPME=no
+  if [ "${COUNT}" -lt "100" ]; then
+    DLCOUNT="0${COUNT}"
+  fi
+  if [ "${COUNT}" -lt "10" ]; then
+    DLCOUNT="00${COUNT}"
+  fi
+  for skip in ${SKIPPATCH} ; do
+    if [ "${DLCOUNT}" = "${skip}" ]; then
+      echo "Patch ${VERSION}.${DLCOUNT} skipped"
+      SKIPPED="${SKIPPED} ${DLCOUNT}"
+      SKIPME=yes
+    fi
+  done
+  if [ "${SKIPME}" != "yes" ]; then
+    if ! [ -e ${VERSION}.${DLCOUNT} ]; then
+      wget --quiet $PATCHURL/${VERSION}.${DLCOUNT}
+    fi
+    cd $CURRENTDIR
+    patch --dry-run -s -f -Np0 -i /tmp/vim-${VERSION}/${VERSION}.${DLCOUNT}
+    if [ "$?" = "0" ]; then
+      echo "Patch ${VERSION}.${DLCOUNT} applied"
+      patch -s -Np0 -i /tmp/vim-${VERSION}/${VERSION}.${DLCOUNT}
+    else
+      echo "Patch ${VERSION}.${DLCOUNT} not applied"
+      rm -f /tmp/vim-${VERSION}/${VERSION}.${DLCOUNT}
+      SKIPPED="${SKIPPED} ${DLCOUNT}"
+    fi
+   fi
+   COUNT=`expr ${COUNT} + 1`
 done
 
@@ -81,11 +82,11 @@
 #
 for dir in $(find * -type d); do
-	cd /usr/src/vim${SERIES}
-	for file in $(find . -name '*~'); do
-		rm -f ${file}
-	done
-	for file in $(find . -name '*.orig'); do
-		rm -f ${file}
-	done
+  cd /usr/src/vim${SERIES}
+  for file in $(find . -name '*~'); do
+    rm -f ${file}
+  done
+  for file in $(find . -name '*.orig'); do
+    rm -f ${file}
+  done
 done
 cd /usr/src/vim${SERIES}
@@ -102,9 +103,8 @@
 echo "Description: Contains all upstream patches up to ${VERSION}.${FILES}" >> vim-${VERSION}-branch_update-x.patch
 if [ -n "${SKIPPED}" ]; then
-	echo "             The following patches were skipped" >> vim-${VERSION}-branch_update-x.patch
-	echo "            ${SKIPPED}" >> vim-${VERSION}-branch_update-x.patch
+  echo "             The following patches were skipped" >> vim-${VERSION}-branch_update-x.patch
+  echo "            ${SKIPPED}" >> vim-${VERSION}-branch_update-x.patch
 fi
 echo "" >> vim-${VERSION}-branch_update-x.patch
 diff -Naur vim${SERIES}.orig vim${SERIES} >> vim-${VERSION}-branch_update-x.patch
 echo "Created /usr/src/vim-${VERSION}-branch_update-x.patch."
-