Index: boot/64/e2fsprogs.xml
===================================================================
--- boot/64/e2fsprogs.xml	(revision 0a6714e2772b6980352c8219b70e6de5f108f018)
+++ boot/64/e2fsprogs.xml	(revision 9724aa834fd170e87d6ff66a79445aa702606f6e)
@@ -49,4 +49,8 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../common/e2fsprogs.xml"
+    xpointer="xpointer(//*[@os='h'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/e2fsprogs.xml"
     xpointer="xpointer(//*[@os='i'])"/>
 
Index: boot/common/e2fsprogs.xml
===================================================================
--- boot/common/e2fsprogs.xml	(revision 0a6714e2772b6980352c8219b70e6de5f108f018)
+++ boot/common/e2fsprogs.xml	(revision 9724aa834fd170e87d6ff66a79445aa702606f6e)
@@ -60,10 +60,20 @@
     xpointer="xpointer(//*[@os='g'])"/>
 
-    <para os="i">The installation for e2fsprogs hard-codes a path to the 
-    <emphasis>mke2fs.conf</emphasis> file, causing the installation to fail
-    unless the DESTDIR parameter is used.  Install the binaries and
-    documentation with the following command:</para>
+    <para os="h">Install the binaries and documentation:</para>
 
-<screen os="j"><userinput>make DESTDIR=${LFS} install</userinput></screen>
+<screen os="i"><userinput>make DESTDIR=${LFS} install</userinput></screen>
+
+    <variablelist os="j">
+      <title>The meaning of the make option:</title>
+
+      <varlistentry>
+        <term><parameter>SHLIB_XLDFLAGS=-lncurses</parameter></term>
+        <listitem>
+          <para>The Makefile for e2fsprogs hard-codes a path to the 
+          <filename>mke2fs.conf</filename> file, causing the installation to
+          fail unless the DESTDIR parameter is used.</para>
+        </listitem>
+      </varlistentry>
+    </variablelist>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: boot/multilib/e2fsprogs.xml
===================================================================
--- boot/multilib/e2fsprogs.xml	(revision 0a6714e2772b6980352c8219b70e6de5f108f018)
+++ boot/multilib/e2fsprogs.xml	(revision 9724aa834fd170e87d6ff66a79445aa702606f6e)
@@ -58,4 +58,8 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../common/e2fsprogs.xml"
+    xpointer="xpointer(//*[@os='h'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/e2fsprogs.xml"
     xpointer="xpointer(//*[@os='i'])"/>
 
Index: boot/ppc64/e2fsprogs.xml
===================================================================
--- boot/ppc64/e2fsprogs.xml	(revision 0a6714e2772b6980352c8219b70e6de5f108f018)
+++ boot/ppc64/e2fsprogs.xml	(revision 9724aa834fd170e87d6ff66a79445aa702606f6e)
@@ -68,4 +68,8 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../common/e2fsprogs.xml"
+    xpointer="xpointer(//*[@os='h'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/e2fsprogs.xml"
     xpointer="xpointer(//*[@os='i'])"/>
 
Index: general.ent
===================================================================
--- general.ent	(revision 0a6714e2772b6980352c8219b70e6de5f108f018)
+++ general.ent	(revision 9724aa834fd170e87d6ff66a79445aa702606f6e)
@@ -5,5 +5,5 @@
 <!ENTITY extra-version "1">
 
-<!ENTITY version "SVN-&major-version;.&minor-version;.&extra-version;-20060622">
+<!ENTITY version "SVN-&major-version;.&minor-version;.&extra-version;-20060623">
 
 <!ENTITY version-x86 "&version;-x86">
@@ -21,5 +21,5 @@
 <!ENTITY version-alpha "&version;-ALPHA">
 
-<!ENTITY releasedate "June 22, 2006">
+<!ENTITY releasedate "June 23, 2006">
 <!ENTITY milestone "0.1">
 <!ENTITY generic-version "svn"> <!-- Use "svn", "testing", or "x.y[-pre{x}]" -->
Index: partitioning/common/creatingfilesystem.xml
===================================================================
--- partitioning/common/creatingfilesystem.xml	(revision 0a6714e2772b6980352c8219b70e6de5f108f018)
+++ partitioning/common/creatingfilesystem.xml	(revision 9724aa834fd170e87d6ff66a79445aa702606f6e)
@@ -16,5 +16,5 @@
   journaling file systems are becoming increasingly popular. We will create
   an <systemitem class="filesystem">ext2</systemitem> file system.
-  Build instructions for other file systems can be found at
+  Instructions for other file systems can be found at
   <ulink url="&blfs-root;view/svn/postlfs/filesystems.html"/>.</para>
 