Index: BOOK/temp-system/64/gcc.xml
===================================================================
--- BOOK/temp-system/64/gcc.xml	(revision 474b25de8b66196a2f0f4360c0bac38e2aa4ef1a)
+++ BOOK/temp-system/64/gcc.xml	(revision 9808d5118705bebdf7d3d681b1d96c83f9058f33)
@@ -61,7 +61,9 @@
     --enable-c99 --enable-shared --enable-threads=posix --disable-nls \
     --enable-__cxa_atexit --enable-languages=c,c++ --disable-libstdcxx-pch \
-    --enable-cloog-backend=isl --with-system-zlib \
-    --with-native-system-header-dir=/tools/include \
-    --enable-checking=release --enable-libstdcxx-time</userinput></screen>
+    --enable-cloog-backend=isl --with-gmp=/tools --with-mpfr=/tools \
+    --with-mpc=/tools --with-isl=/tools --disable-isl-version-check \
+    --with-cloog=/tools --with-system-zlib \
+    --with-native-system-header-dir=/tools/include --enable-checking=release \
+    --enable-libstdcxx-time</userinput></screen>
 
     <variablelist>
Index: BOOK/temp-system/common/gcc.xml
===================================================================
--- BOOK/temp-system/common/gcc.xml	(revision 474b25de8b66196a2f0f4360c0bac38e2aa4ef1a)
+++ BOOK/temp-system/common/gcc.xml	(revision 9808d5118705bebdf7d3d681b1d96c83f9058f33)
@@ -59,5 +59,7 @@
   --enable-c99 --enable-shared --enable-threads=posix --disable-multilib \
   --disable-nls --enable-__cxa_atexit --enable-languages=c,c++ \
-  --disable-libstdcxx-pch --enable-cloog-backend=isl --with-system-zlib \
+  --disable-libstdcxx-pch --enable-cloog-backend=isl --with-gmp=/tools \
+  --with-mpfr=/tools --with-mpc=/tools --with-isl=/tools \
+  --disable-isl-version-check --with-cloog=/tools --with-system-zlib \
   --with-native-system-header-dir=/tools/include --disable-libssp \
   --disable-install-libiberty --enable-checking=release \
Index: BOOK/temp-system/mips64-64/gcc.xml
===================================================================
--- BOOK/temp-system/mips64-64/gcc.xml	(revision 474b25de8b66196a2f0f4360c0bac38e2aa4ef1a)
+++ BOOK/temp-system/mips64-64/gcc.xml	(revision 9808d5118705bebdf7d3d681b1d96c83f9058f33)
@@ -61,7 +61,8 @@
     --enable-c99 --enable-shared --enable-threads=posix --disable-nls \
     --enable-__cxa_atexit --enable-languages=c,c++ --disable-libstdcxx-pch \
-    --enable-cloog-backend=isl --with-system-zlib \
-    --enable-checking=release --enable-libstdcxx-time \
-    --with-native-system-header-dir=/tools/include </userinput></screen>
+    --enable-cloog-backend=isl --with-gmp=/tools --with-mpfr=/tools \
+    --with-mpc=/tools --with-isl=/tools --disable-isl-version-check \
+    --with-cloog=/tools --with-system-zlib --enable-checking=release \
+    --enable-libstdcxx-time --with-native-system-header-dir=/tools/include</userinput></screen>
 
     <variablelist>
Index: BOOK/temp-system/mips64/gcc.xml
===================================================================
--- BOOK/temp-system/mips64/gcc.xml	(revision 474b25de8b66196a2f0f4360c0bac38e2aa4ef1a)
+++ BOOK/temp-system/mips64/gcc.xml	(revision 9808d5118705bebdf7d3d681b1d96c83f9058f33)
@@ -62,5 +62,7 @@
   --enable-__cxa_atexit --disable-nls --enable-languages=c,c++ \
   --disable-libstdcxx-pch --with-abi=64 --enable-cloog-backend=isl \
-  --with-system-zlib --enable-checking=release --enable-libstdcxx-time \
+  --with-gmp=/tools --with-mpfr=/tools --with-mpc=/tools --with-isl=/tools \
+  --disable-isl-version-check --with cloog=/tools --with-system-zlib \
+  --enable-checking=release --enable-libstdcxx-time \
   --with-native-system-header-dir=/tools/include</userinput></screen>
 
Index: BOOK/temp-system/multilib/gcc.xml
===================================================================
--- BOOK/temp-system/multilib/gcc.xml	(revision 474b25de8b66196a2f0f4360c0bac38e2aa4ef1a)
+++ BOOK/temp-system/multilib/gcc.xml	(revision 9808d5118705bebdf7d3d681b1d96c83f9058f33)
@@ -61,5 +61,7 @@
   --enable-long-long --enable-c99 --enable-shared --enable-threads=posix \
   --disable-nls --enable-__cxa_atexit --enable-languages=c,c++ \
-  --disable-libstdcxx-pch --enable-cloog-backend=isl --with-system-zlib \
+  --disable-libstdcxx-pch --enable-cloog-backend=isl --with-gmp=/tools \
+  --with-mpfr=/tools --with-mpc=/tools --with-isl=/tools \
+  --disable-isl-version-check --with-cloog=/tools --with-system-zlib \
   --with-native-system-header-dir=/tools/include --disable-libssp \
   --disable-install-libiberty  --enable-libstdcxx-time \