Index: BOOK/temp-system/common/choose.xml
===================================================================
--- BOOK/temp-system/common/choose.xml	(revision d835347b9c9c3a46ef65df02062ccee766aa5e24)
+++ BOOK/temp-system/common/choose.xml	(revision 15138c5d8cdc3ca4c6b4f74b0d6a80eb0437e057)
@@ -11,10 +11,10 @@
   <title>To Boot or to Chroot?</title>
 
-  <para> There are two different ways you can proceed from this point
+  <para os="a"> There are two different ways you can proceed from this point
   to build the final system. You can build a kernel, a bootloader, and
   a few other utilities, boot into the temporary system, and build the
   rest there. The other option is to chroot into the temporary system.</para>
 
-  <para>The boot method is for when you are building on a different
+  <para os="b">The boot method is for when you are building on a different
   architecture. For example, if you are building a PowerPC system from
   an x86, you can't chroot. The chroot method is for when you are
@@ -25,7 +25,16 @@
   wanting to run a different ABI, you will need to use the boot option.</para>
 
-  <para>For the boot method, follow <xref linkend="chapter-boot"/>.</para>
+  <para os="c">If you are in any doubt about this, you can try the following
+ commands to see if you can chroot:</para>
 
-  <para>For the chroot method, follow <xref linkend="chapter-chroot"/>.</para>
+<screen ><userinput>/tools/lib/libc.so.6
+/tools/bin/gcc -v</userinput></screen>
+
+  <para os="d">If these commands fail, you will have to follow the boot
+  method.</para>
+
+  <para os="e">For the boot method, follow <xref linkend="chapter-boot"/>.</para>
+
+  <para os="f">For the chroot method, follow <xref linkend="chapter-chroot"/>.</para>
 
 </sect1>
Index: BOOK/temp-system/mips64-chapter.xml
===================================================================
--- BOOK/temp-system/mips64-chapter.xml	(revision d835347b9c9c3a46ef65df02062ccee766aa5e24)
+++ BOOK/temp-system/mips64-chapter.xml	(revision 15138c5d8cdc3ca4c6b4f74b0d6a80eb0437e057)
@@ -31,5 +31,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/bash.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/texinfo.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/choose.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips64/choose.xml"/>
 
 </chapter>
Index: BOOK/temp-system/mips64/choose.xml
===================================================================
--- BOOK/temp-system/mips64/choose.xml	(revision 15138c5d8cdc3ca4c6b4f74b0d6a80eb0437e057)
+++ BOOK/temp-system/mips64/choose.xml	(revision 15138c5d8cdc3ca4c6b4f74b0d6a80eb0437e057)
@@ -0,0 +1,42 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
+  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="ch-temp-system-choose">
+  <?dbhtml filename="choose.html"?>
+
+  <title>To Boot or to Chroot?</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/choose.xml"
+    xpointer="xpointer(//*[@os='a'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/choose.xml"
+    xpointer="xpointer(//*[@os='b'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/choose.xml"
+    xpointer="xpointer(//*[@os='c'])"/>
+
+<screen ><userinput>/tools/lib/libc.so.6
+/tools/lib32/libc.so.6
+/tools/lib64/libc.so.6
+/tools/bin/gcc -v</userinput></screen>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/choose.xml"
+    xpointer="xpointer(//*[@os='d'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/choose.xml"
+    xpointer="xpointer(//*[@os='e'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/choose.xml"
+    xpointer="xpointer(//*[@os='f'])"/>
+
+</sect1>
Index: BOOK/temp-system/multilib/choose.xml
===================================================================
--- BOOK/temp-system/multilib/choose.xml	(revision 15138c5d8cdc3ca4c6b4f74b0d6a80eb0437e057)
+++ BOOK/temp-system/multilib/choose.xml	(revision 15138c5d8cdc3ca4c6b4f74b0d6a80eb0437e057)
@@ -0,0 +1,41 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
+  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="ch-temp-system-choose">
+  <?dbhtml filename="choose.html"?>
+
+  <title>To Boot or to Chroot?</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/choose.xml"
+    xpointer="xpointer(//*[@os='a'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/choose.xml"
+    xpointer="xpointer(//*[@os='b'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/choose.xml"
+    xpointer="xpointer(//*[@os='c'])"/>
+
+<screen ><userinput>/tools/lib/libc.so.6
+/tools/lib64/libc.so.6
+/tools/bin/gcc -v</userinput></screen>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/choose.xml"
+    xpointer="xpointer(//*[@os='d'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/choose.xml"
+    xpointer="xpointer(//*[@os='e'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/choose.xml"
+    xpointer="xpointer(//*[@os='f'])"/>
+
+</sect1>
Index: BOOK/temp-system/sparc64-chapter.xml
===================================================================
--- BOOK/temp-system/sparc64-chapter.xml	(revision d835347b9c9c3a46ef65df02062ccee766aa5e24)
+++ BOOK/temp-system/sparc64-chapter.xml	(revision 15138c5d8cdc3ca4c6b4f74b0d6a80eb0437e057)
@@ -31,5 +31,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/bash.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/texinfo.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/choose.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/choose.xml"/>
 
 </chapter>
Index: BOOK/temp-system/x86_64-chapter.xml
===================================================================
--- BOOK/temp-system/x86_64-chapter.xml	(revision d835347b9c9c3a46ef65df02062ccee766aa5e24)
+++ BOOK/temp-system/x86_64-chapter.xml	(revision 15138c5d8cdc3ca4c6b4f74b0d6a80eb0437e057)
@@ -31,5 +31,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/bash.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/texinfo.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/choose.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/choose.xml"/>
 
 </chapter>