Index: ev/85-mount-fstab.rules
===================================================================
--- udev/85-mount-fstab.rules	(revision 813ebaf885476f1abd2aac8f7016f0354dc224ce)
+++ 	(revision )
@@ -1,17 +1,0 @@
-########################################################################
-#
-# Description : 85-mount-fstab.rules
-#
-# Authors     : Based on Open Suse Udev Rules
-#               kay.sievers@suse.de
-#
-# Adapted to  : Jim Gifford
-# LFS
-#
-# Version     : 00.01
-#
-# Notes       :
-#
-########################################################################
-
-SUBSYSTEM=="block",	ACTION=="add", KERNEL=="sd*[0-9]|hd*[0-9]", RUN+="mount.sh"
Index: udev/Makefile
===================================================================
--- udev/Makefile	(revision 813ebaf885476f1abd2aac8f7016f0354dc224ce)
+++ udev/Makefile	(revision 17842c622239f62ca08840781fc6c69b137d13cc)
@@ -16,5 +16,4 @@
 	install -m ${RULESMODE} 55-sound.rules ${DESTDIR}/etc/udev/rules.d/55-sound.rules
 	install -m ${RULESMODE} 60-persistent.rules ${DESTDIR}/etc/udev/rules.d/60-persistent.rules
-	install -m ${RULESMODE} 85-mount-fstab.rules ${DESTDIR}/etc/udev/rules.d/85-mount-fstab.rules
 	install -m ${RULESMODE} 95-debug.rules ${DESTDIR}/etc/udev/rules.d/95-debug.rules
 
@@ -22,12 +21,9 @@
 	install -m ${SCRIPTMODE} load_floppy_module.sh ${DESTDIR}/lib/udev/load_floppy_module.sh
 	install -m ${SCRIPTMODE} input.sh ${DESTDIR}/lib/udev/input.sh
-	install -m ${SCRIPTMODE} mount.sh ${DESTDIR}/lib/udev/mount.sh
 
 boot:
 	install -d ${DESTDIR}/usr/share/udev
-	install -d ${DESTDIR}/etc/sysconfig
 	install -d ${DESTDIR}/etc/rc.d/rcsysinit.d
 	install -d ${DESTDIR}/etc/rc.d/init.d
-	install -m ${CONFMODE} sysconfig.storge ${DESTDIR}/etc/sysconfig/storage
 	install -m ${INITMODE} udev ${DESTDIR}/etc/rc.d/init.d/udev
 	install -m ${INITMODE} udev_retry ${DESTDIR}/etc/rc.d/init.d/udev_retry
Index: ev/mount.sh
===================================================================
--- udev/mount.sh	(revision 813ebaf885476f1abd2aac8f7016f0354dc224ce)
+++ 	(revision )
@@ -1,81 +1,0 @@
-#!/bin/sh
-########################################################################
-#
-# Description : Mount devices
-#
-# Authors     : Based on Open Suse Udev Rules
-#               kay.sievers@suse.de
-#
-# Adapted to  : Jim Gifford
-# LFS
-#
-# Version     : 00.00
-#
-# Notes       :
-#
-########################################################################
-
-. /etc/sysconfig/rc
-. ${rc_functions}
-. /etc/sysconfig/storage
-
-test "$HOTPLUG_MOUNT_FSTAB" != yes && exit
-
-# Handle only partitions of sd
-case "$DEVNAME" in
-	/dev/sd*|/dev/hd*) : ;;
-	*) exit 0 ;;
-esac
-case "$DEVNAME" in
-	*sd[a-z]|*hd[a-z]) exit 0 ;;
-esac
-
-NODES=$DEVNAME
-for sl in `udevinfo -q symlink -p $DEVPATH`; do
-	NODES="$NODES /dev/$sl"
-done
-boot_mesg "Available nodes: $NODES"
-
-NODE=
-declare -i FSCK=0
-while read dn mp fs opts dump fsck x; do
-	for n in $NODES; do
-		if [ "$n" == "$dn" ] ; then
-			case $opts in
-				*hotplug*) : ;;
-				*) exit 0 ;;
-			esac
-			NODE="$n"
-			FSCK="$fsck"
-			boot_mesg "matching line for $DEVNAME:"
-			boot_mesg "$dn $mp $fs $opts $dump $fsck $x"
-			break 2
-		fi
-	done
-done < /etc/fstab
-
-if [ "$HOTPLUG_CHECK_FILESYSTEMS" == yes -a "$FSCK" -gt 0 ] ; then
-	MESSAGE="`fsck -a $DEVNAME`"
-	RET=$?
-	boot_mesg "$MESSAGE"
-	case $RET in
-		0|1) : ;;
-		2|3) 
-			boot_mesg "Please unplug device $DEVNAME, and plug it again" 
-			logger -t $0 "fsck for '$DEVNAME' failed. Will not mount it."
-			exit 0
-			;;
-		*) 
-			err_mesg "fsck failed on $DEVNAME. Please fsck filesystem manually." 
-			logger -t $0 "fsck for '$DEVNAME' failed. Will not mount it."
-			exit 1
-			;;
-	esac
-fi
-
-
-if [ -n "$NODE" ] ; then
-	MESSAGE="`mount -av "$NODE"`"
-	test $? != 0 && logger -t $0 "Could not mount '$DEVNAME'."
-	boot_mesg "$MESSAGE"
-fi
Index: ev/sysconfig.storage
===================================================================
--- udev/sysconfig.storage	(revision 813ebaf885476f1abd2aac8f7016f0354dc224ce)
+++ 	(revision )
@@ -1,25 +1,0 @@
-########################################################################
-#
-# Description : storage
-#
-# Authors     : Based on Open Suse Udev Rules
-#               kay.sievers@suse.de
-#
-# Adapted to  : Jim Gifford
-# LFS
-#
-# Version     : 00.01
-#
-# Notes       :
-#
-########################################################################
-
-# Should we mount hotplugged system storage devices automatically?
-# WARNING: You have to unmount these devices manually before you unplug them!!!
-#
-HOTPLUG_MOUNT_FSTAB=yes
-
-# Should we check hotplugged system storage devices before we mount them?
-#
-HOTPLUG_CHECK_FILESYSTEMS=yes
-