Index: BOOK/bootable/alpha/kernel.xml
===================================================================
--- BOOK/bootable/alpha/kernel.xml	(revision 97a96f12a0f424dabbe5af4153d75caf2d308b58)
+++ BOOK/bootable/alpha/kernel.xml	(revision 22211c7744b49cab6f765e11ae90a33eafe5bc4a)
@@ -90,4 +90,12 @@
     href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='t'])"/>
+    
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='s2'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='t2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/bootable/mips/kernel.xml
===================================================================
--- BOOK/bootable/mips/kernel.xml	(revision 97a96f12a0f424dabbe5af4153d75caf2d308b58)
+++ BOOK/bootable/mips/kernel.xml	(revision 22211c7744b49cab6f765e11ae90a33eafe5bc4a)
@@ -81,4 +81,12 @@
     href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='t'])"/>
+    
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='s2'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='t2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/bootable/ppc/kernel.xml
===================================================================
--- BOOK/bootable/ppc/kernel.xml	(revision 97a96f12a0f424dabbe5af4153d75caf2d308b58)
+++ BOOK/bootable/ppc/kernel.xml	(revision 22211c7744b49cab6f765e11ae90a33eafe5bc4a)
@@ -93,4 +93,12 @@
     href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='t'])"/>
+    
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='s2'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='t2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/bootable/ppc64/kernel.xml
===================================================================
--- BOOK/bootable/ppc64/kernel.xml	(revision 97a96f12a0f424dabbe5af4153d75caf2d308b58)
+++ BOOK/bootable/ppc64/kernel.xml	(revision 22211c7744b49cab6f765e11ae90a33eafe5bc4a)
@@ -85,4 +85,12 @@
     href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='t'])"/>
+    
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='s2'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='t2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/bootable/sparc/kernel.xml
===================================================================
--- BOOK/bootable/sparc/kernel.xml	(revision 97a96f12a0f424dabbe5af4153d75caf2d308b58)
+++ BOOK/bootable/sparc/kernel.xml	(revision 22211c7744b49cab6f765e11ae90a33eafe5bc4a)
@@ -85,4 +85,12 @@
     href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='t'])"/>
+    
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='s2'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='t2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/bootable/x86/kernel.xml
===================================================================
--- BOOK/bootable/x86/kernel.xml	(revision 97a96f12a0f424dabbe5af4153d75caf2d308b58)
+++ BOOK/bootable/x86/kernel.xml	(revision 22211c7744b49cab6f765e11ae90a33eafe5bc4a)
@@ -38,5 +38,5 @@
 
     <para os="h">Configure the kernel via a menu-driven interface.
-    Please note that the udev bootscript requires "rtc" and "tmpfs" to be
+    Please note that the udev bootscript requires "rtc", "tmpfs" and "devtmpfs" to be
     enabled and built into the kernel, not as modules. CBLFS has
     some information regarding particular kernel configuration requirements of
@@ -88,4 +88,9 @@
 
 <screen os="t"><userinput>make modules_install</userinput></screen>
+
+    <para os="s2">Install the firmware, if the kernel configuration uses
+    them:</para>
+
+<screen os="t2"><userinput>make firmware_install</userinput></screen>
 
     <para os="u">After kernel compilation is complete, additional steps are
Index: BOOK/bootable/x86_64/kernel.xml
===================================================================
--- BOOK/bootable/x86_64/kernel.xml	(revision 97a96f12a0f424dabbe5af4153d75caf2d308b58)
+++ BOOK/bootable/x86_64/kernel.xml	(revision 22211c7744b49cab6f765e11ae90a33eafe5bc4a)
@@ -85,4 +85,12 @@
     href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='t'])"/>
+    
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='s2'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='t2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"