Index: BOOK/bootscripts/mips-chapter.xml
===================================================================
--- BOOK/bootscripts/mips-chapter.xml	(revision 64a818a0f4be28eabbdd6352b67ada5e14ea8dd6)
+++ BOOK/bootscripts/mips-chapter.xml	(revision 23781f08df1d2c55041069e53d114ec263a76d9d)
@@ -13,5 +13,5 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/introduction.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/bootscripts.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/boot-scripts.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/usage.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/setclock.xml"/>
Index: BOOK/bootscripts/mips64-64-chapter.xml
===================================================================
--- BOOK/bootscripts/mips64-64-chapter.xml	(revision 64a818a0f4be28eabbdd6352b67ada5e14ea8dd6)
+++ BOOK/bootscripts/mips64-64-chapter.xml	(revision 23781f08df1d2c55041069e53d114ec263a76d9d)
@@ -13,5 +13,5 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/introduction.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/bootscripts.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/boot-scripts.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/usage.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/setclock.xml"/>
Index: BOOK/bootscripts/mips64-chapter.xml
===================================================================
--- BOOK/bootscripts/mips64-chapter.xml	(revision 64a818a0f4be28eabbdd6352b67ada5e14ea8dd6)
+++ BOOK/bootscripts/mips64-chapter.xml	(revision 23781f08df1d2c55041069e53d114ec263a76d9d)
@@ -13,5 +13,5 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/introduction.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/bootscripts.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/boot-scripts.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/usage.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/setclock.xml"/>
Index: BOOK/bootscripts/ppc-chapter.xml
===================================================================
--- BOOK/bootscripts/ppc-chapter.xml	(revision 64a818a0f4be28eabbdd6352b67ada5e14ea8dd6)
+++ BOOK/bootscripts/ppc-chapter.xml	(revision 23781f08df1d2c55041069e53d114ec263a76d9d)
@@ -13,5 +13,5 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/introduction.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/bootscripts.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/boot-scripts.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/usage.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/setclock.xml"/>
Index: BOOK/bootscripts/ppc64-64-chapter.xml
===================================================================
--- BOOK/bootscripts/ppc64-64-chapter.xml	(revision 64a818a0f4be28eabbdd6352b67ada5e14ea8dd6)
+++ BOOK/bootscripts/ppc64-64-chapter.xml	(revision 23781f08df1d2c55041069e53d114ec263a76d9d)
@@ -13,5 +13,5 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/introduction.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/bootscripts.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/boot-scripts.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/usage.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/setclock.xml"/>
Index: BOOK/bootscripts/ppc64-chapter.xml
===================================================================
--- BOOK/bootscripts/ppc64-chapter.xml	(revision 64a818a0f4be28eabbdd6352b67ada5e14ea8dd6)
+++ BOOK/bootscripts/ppc64-chapter.xml	(revision 23781f08df1d2c55041069e53d114ec263a76d9d)
@@ -13,5 +13,5 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/introduction.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/bootscripts.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/boot-scripts.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/usage.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/setclock.xml"/>
Index: BOOK/bootscripts/sparc-chapter.xml
===================================================================
--- BOOK/bootscripts/sparc-chapter.xml	(revision 64a818a0f4be28eabbdd6352b67ada5e14ea8dd6)
+++ BOOK/bootscripts/sparc-chapter.xml	(revision 23781f08df1d2c55041069e53d114ec263a76d9d)
@@ -13,5 +13,5 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/introduction.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/bootscripts.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/boot-scripts.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/usage.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/setclock.xml"/>
Index: BOOK/bootscripts/sparc64-64-chapter.xml
===================================================================
--- BOOK/bootscripts/sparc64-64-chapter.xml	(revision 64a818a0f4be28eabbdd6352b67ada5e14ea8dd6)
+++ BOOK/bootscripts/sparc64-64-chapter.xml	(revision 23781f08df1d2c55041069e53d114ec263a76d9d)
@@ -13,5 +13,5 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/introduction.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/bootscripts.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/boot-scripts.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/usage.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/setclock.xml"/>
Index: BOOK/bootscripts/sparc64-chapter.xml
===================================================================
--- BOOK/bootscripts/sparc64-chapter.xml	(revision 64a818a0f4be28eabbdd6352b67ada5e14ea8dd6)
+++ BOOK/bootscripts/sparc64-chapter.xml	(revision 23781f08df1d2c55041069e53d114ec263a76d9d)
@@ -13,5 +13,5 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/introduction.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/bootscripts.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/boot-scripts.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/usage.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/setclock.xml"/>
Index: BOOK/bootscripts/x86-chapter.xml
===================================================================
--- BOOK/bootscripts/x86-chapter.xml	(revision 64a818a0f4be28eabbdd6352b67ada5e14ea8dd6)
+++ BOOK/bootscripts/x86-chapter.xml	(revision 23781f08df1d2c55041069e53d114ec263a76d9d)
@@ -13,5 +13,5 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/introduction.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/bootscripts.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/boot-scripts.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/usage.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/setclock.xml"/>
Index: BOOK/bootscripts/x86_64-64-chapter.xml
===================================================================
--- BOOK/bootscripts/x86_64-64-chapter.xml	(revision 64a818a0f4be28eabbdd6352b67ada5e14ea8dd6)
+++ BOOK/bootscripts/x86_64-64-chapter.xml	(revision 23781f08df1d2c55041069e53d114ec263a76d9d)
@@ -13,5 +13,5 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/introduction.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/bootscripts.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/boot-scripts.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/usage.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/setclock.xml"/>
Index: BOOK/bootscripts/x86_64-chapter.xml
===================================================================
--- BOOK/bootscripts/x86_64-chapter.xml	(revision 64a818a0f4be28eabbdd6352b67ada5e14ea8dd6)
+++ BOOK/bootscripts/x86_64-chapter.xml	(revision 23781f08df1d2c55041069e53d114ec263a76d9d)
@@ -13,5 +13,5 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/introduction.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/bootscripts.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/boot-scripts.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/usage.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/setclock.xml"/>