Index: BOOK/final-system/common/mpc.xml
===================================================================
--- BOOK/final-system/common/mpc.xml	(revision a33922842d3f5d08c4bead7f9c5254640f28434d)
+++ BOOK/final-system/common/mpc.xml	(revision 29542c6e8d54476ccbef51431270e10dfa28786e)
@@ -29,5 +29,5 @@
 
 <screen os="b"><userinput>CC="gcc -isystem /usr/include" \
-LDFLAGS="-Wl,-rpath-link,/lib" \
+LDFLAGS="-Wl,-rpath-link,/lib" EGREP="grep -E" \
 ./configure --prefix=/usr</userinput></screen>
 
Index: BOOK/final-system/multilib/mpc-64bit.xml
===================================================================
--- BOOK/final-system/multilib/mpc-64bit.xml	(revision a33922842d3f5d08c4bead7f9c5254640f28434d)
+++ BOOK/final-system/multilib/mpc-64bit.xml	(revision 29542c6e8d54476ccbef51431270e10dfa28786e)
@@ -27,5 +27,5 @@
 
 <screen os="b"><userinput>CC="gcc -isystem /usr/include ${BUILD64}" \
-LDFLAGS="-Wl,-rpath-link,/lib64 ${BUILD64}" \
+LDFLAGS="-Wl,-rpath-link,/lib64 ${BUILD64}" EGREP="grep -E" \
 ./configure --prefix=/usr --libdir=/usr/lib64</userinput></screen>
 
Index: BOOK/final-system/multilib/mpc-n32.xml
===================================================================
--- BOOK/final-system/multilib/mpc-n32.xml	(revision a33922842d3f5d08c4bead7f9c5254640f28434d)
+++ BOOK/final-system/multilib/mpc-n32.xml	(revision 29542c6e8d54476ccbef51431270e10dfa28786e)
@@ -28,5 +28,5 @@
 
 <screen os="b"><userinput>CC="gcc -isystem /usr/include ${BUILDN32}" \
-LDFLAGS="-Wl,-rpath-link,/lib32 ${BUILDN32}" \
+LDFLAGS="-Wl,-rpath-link,/lib32 ${BUILDN32}" EGREP="grep -E" \
 ./configure --prefix=/usr --libdir=/usr/lib32</userinput></screen>
 
Index: BOOK/final-system/multilib/mpc.xml
===================================================================
--- BOOK/final-system/multilib/mpc.xml	(revision a33922842d3f5d08c4bead7f9c5254640f28434d)
+++ BOOK/final-system/multilib/mpc.xml	(revision 29542c6e8d54476ccbef51431270e10dfa28786e)
@@ -28,7 +28,6 @@
 
 <screen os="b"><userinput>CC="gcc -isystem /usr/include ${BUILD32}" \
-LDFLAGS="-Wl,-rpath-link,/lib ${BUILD32}" \
-./configure --prefix=/usr \
-    --host=${CLFS_TARGET32}</userinput></screen>
+LDFLAGS="-Wl,-rpath-link,/lib ${BUILD32}" EGREP="grep -E" \
+./configure --prefix=/usr --host=${CLFS_TARGET32}</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/introduction/common/changelog.xml
===================================================================
--- BOOK/introduction/common/changelog.xml	(revision a33922842d3f5d08c4bead7f9c5254640f28434d)
+++ BOOK/introduction/common/changelog.xml	(revision 29542c6e8d54476ccbef51431270e10dfa28786e)
@@ -40,4 +40,7 @@
       <para>April 16, 2011</para>
       <itemizedlist>
+        <listitem>
+          <para>[jciccone] - Updated MPC to 0.9.</para>
+        </listitem>
         <listitem>
           <para>[jciccone] - Updated MPFR to 3.0.1.</para>
Index: BOOK/packages.ent
===================================================================
--- BOOK/packages.ent	(revision a33922842d3f5d08c4bead7f9c5254640f28434d)
+++ BOOK/packages.ent	(revision 29542c6e8d54476ccbef51431270e10dfa28786e)
@@ -286,8 +286,8 @@
 <!ENTITY module-init-tools-home "http://www.kerneltools.org/KernelTools.org">
 
-<!ENTITY mpc-version "0.8.2">
-<!ENTITY mpc-size "536 KB">
+<!ENTITY mpc-version "0.9">
+<!ENTITY mpc-size "556 KB">
 <!ENTITY mpc-url "http://www.multiprecision.org/mpc/download/mpc-&mpc-version;.tar.gz">
-<!ENTITY mpc-md5 "e98267ebd5648a39f881d66797122fb6">
+<!ENTITY mpc-md5 "0d6acab8d214bd7d1fbbc593e83dd00d">
 <!ENTITY mpc-home "http://www.multiprecision.org/">
 
Index: BOOK/temp-system/64/mpc.xml
===================================================================
--- BOOK/temp-system/64/mpc.xml	(revision a33922842d3f5d08c4bead7f9c5254640f28434d)
+++ BOOK/temp-system/64/mpc.xml	(revision 29542c6e8d54476ccbef51431270e10dfa28786e)
@@ -27,5 +27,6 @@
     xpointer="xpointer(//*[@os='a'])"/>
 
-<screen os="b"><userinput>CC="${CC} ${BUILD64}" ./configure --prefix=/tools \
+<screen os="b"><userinput>CC="${CC} ${BUILD64}" EGREP="grep -E" \
+  ./configure --prefix=/tools \
     --build=${CLFS_HOST} --host=${CLFS_TARGET}</userinput></screen>
 
Index: BOOK/temp-system/common/mpc.xml
===================================================================
--- BOOK/temp-system/common/mpc.xml	(revision a33922842d3f5d08c4bead7f9c5254640f28434d)
+++ BOOK/temp-system/common/mpc.xml	(revision 29542c6e8d54476ccbef51431270e10dfa28786e)
@@ -25,5 +25,5 @@
     <para os="a">Prepare MPC for compilation:</para>
 
-<screen os="b"><userinput>./configure --prefix=/tools \
+<screen os="b"><userinput>EGREP="grep -E" ./configure --prefix=/tools \
     --build=${CLFS_HOST} --host=${CLFS_TARGET}</userinput></screen>
 
Index: BOOK/temp-system/multilib/mpc.xml
===================================================================
--- BOOK/temp-system/multilib/mpc.xml	(revision a33922842d3f5d08c4bead7f9c5254640f28434d)
+++ BOOK/temp-system/multilib/mpc.xml	(revision 29542c6e8d54476ccbef51431270e10dfa28786e)
@@ -27,5 +27,6 @@
     xpointer="xpointer(//*[@os='a'])"/>
 
-<screen os="b"><userinput>CC="${CC} ${BUILD64}" ./configure --prefix=/tools \
+<screen os="b"><userinput>CC="${CC} ${BUILD64}" EGREP="grep -E" \
+  ./configure --prefix=/tools \
     --build=${CLFS_HOST} --host=${CLFS_TARGET} \
     --libdir=/tools/lib64</userinput></screen>