Index: BOOK/final-system/common/bison.xml
===================================================================
--- BOOK/final-system/common/bison.xml	(revision c705c5d8ee82f3b345fc4b6b832c9bb6720f1185)
+++ BOOK/final-system/common/bison.xml	(revision 39139e4324bc019517a55a9fa6612feb394bef49)
@@ -41,5 +41,5 @@
     for internationalization of error messages if a <command>bison</command>
     program is not already in $PATH.  The following addition will correct
-    this.</para>
+    this:</para>
 
 <screen os="b2"><userinput>echo '#define YYENABLE_NLS 1' >> config.h</userinput></screen>  
Index: BOOK/final-system/common/gcc.xml
===================================================================
--- BOOK/final-system/common/gcc.xml	(revision c705c5d8ee82f3b345fc4b6b832c9bb6720f1185)
+++ BOOK/final-system/common/gcc.xml	(revision 39139e4324bc019517a55a9fa6612feb394bef49)
@@ -36,5 +36,5 @@
 
     <para os="p1">The following patch fixes an issue where gcc doesn't generate
-    some code properly.</para>
+    some code properly:</para>
 
 <screen os="p2"><userinput>patch -Np1 -i ../&gcc-fold_const-patch;</userinput></screen>
@@ -49,7 +49,7 @@
     <para os="e1">GCC provides a <command>gccbug</command> script which detects at
     compile time whether mktemp is present, and hardcodes the result in a test.
-    This will cause the script to fall back to using less random names for
-    temporary files.  We will be installing mktemp later, so the following sed
-    will simulate its presence.</para>
+    If mktemp is not found, the script will fall back to using less
+    random names for temporary files.  We will be installing mktemp
+    later, so the following sed will simulate its presence:</para>
 
 <screen os="e2"><userinput>sed -i 's/@have_mktemp_command@/yes/' gcc/gccbug.in</userinput></screen>
Index: BOOK/final-system/common/glibc.xml
===================================================================
--- BOOK/final-system/common/glibc.xml	(revision c705c5d8ee82f3b345fc4b6b832c9bb6720f1185)
+++ BOOK/final-system/common/glibc.xml	(revision 39139e4324bc019517a55a9fa6612feb394bef49)
@@ -55,6 +55,6 @@
     of achieving a clean build.</para>
 
-    <para os="c">The following patch removes the potential of localdef
-    segfaulting:</para>
+    <para os="c">The following patch fixes an issue that can
+    cause <command>localdef</command> to segfault:</para>
 
 <screen os="d"><userinput>patch -Np1 -i ../&glibc-localedef_segfault-patch;</userinput></screen>
@@ -63,7 +63,7 @@
     will prevent nscd from trying to link to libraries that don't exist:</para>
 
-<screen os="s2"><userinput>cp nscd/Makefile{,.orig}
+<screen os="s2"><userinput>cp -v nscd/Makefile{,.orig}
 sed -e "/nscd_stat.o: sysincludes = # nothing/d" nscd/Makefile.orig > \
-nscd/Makefile</userinput></screen>
+    nscd/Makefile</userinput></screen>
 
     <para os="e">The Glibc documentation recommends building Glibc outside of the
Index: BOOK/final-system/x86_64-64/glibc.xml
===================================================================
--- BOOK/final-system/x86_64-64/glibc.xml	(revision c705c5d8ee82f3b345fc4b6b832c9bb6720f1185)
+++ BOOK/final-system/x86_64-64/glibc.xml	(revision 39139e4324bc019517a55a9fa6612feb394bef49)
@@ -129,5 +129,5 @@
     /usr/bin/ldd</command> script - if you look at this, you will see it references
     not only the 32-bit linker, but also /lib64 where it thinks the 64-bit linker
-    is. The following <command>sed</command> will correct this.</para>
+    is. The following <command>sed</command> will correct this:</para>
 
     <screen><userinput>rm -v /lib/ld-linux.so.2
Index: BOOK/testsuite-tools/common/tcl.xml
===================================================================
--- BOOK/testsuite-tools/common/tcl.xml	(revision c705c5d8ee82f3b345fc4b6b832c9bb6720f1185)
+++ BOOK/testsuite-tools/common/tcl.xml	(revision 39139e4324bc019517a55a9fa6612feb394bef49)
@@ -40,5 +40,5 @@
     working properly.</para>
 
-    <para os="c1">First, fix a syntax error in the configure script.</para>
+    <para os="c1">First, fix a syntax error in the configure script:</para>
 
 <screen os="c2"><userinput>cd unix
@@ -57,5 +57,6 @@
 <screen os="h"><userinput>make install</userinput></screen>
 
-    <para os="i">Now we will install the TCL headers into /tools.</para>
+    <para os="i">Tcl's private headers files are needed for the next
+    package, Expect. Install them into /tools:</para>
 
 <screen os="j"><userinput>make install-private-headers</userinput></screen>
Index: BOOK/testsuite-tools/mips/expect.xml
===================================================================
--- BOOK/testsuite-tools/mips/expect.xml	(revision c705c5d8ee82f3b345fc4b6b832c9bb6720f1185)
+++ BOOK/testsuite-tools/mips/expect.xml	(revision 39139e4324bc019517a55a9fa6612feb394bef49)
@@ -43,5 +43,5 @@
     xpointer="xpointer(//*[@os='b'])"/>
 
-    <para os="p1">This patch updates config.guess and config.sub for MIPS processors.</para>
+    <para os="p1">This patch updates config.guess and config.sub for MIPS processors:</para>
 
 <screen os="p2"><userinput>patch -Np1 -i ../&expect-mips_update-patch;</userinput></screen>