Index: patches/gcc-4.5.1-pure64-1.patch
===================================================================
--- patches/gcc-4.5.1-pure64-1.patch	(revision c8d441465e6856781cba1c777196ad10789363c6)
+++ 	(revision )
@@ -1,130 +1,0 @@
-Submitted By: Joe Ciccone <jciccone@gmail.com>
-Date: 07-25-2010
-Initial Package Version: 3.4.6
-Origin: Idea originally developed by Ryan Oliver and Greg Schafer for
-        the Pure LFS project.
-Upstream Status: Not Applied - CLFS Specific
-Description: This patch makes changes to the paths for pure64, eg 64bit libs
-             in /usr/lib, 32bit in /usr/lib32.
-
-diff -Naur gcc-4.5.0.orig/gcc/config/i386/t-linux64 gcc-4.5.0/gcc/config/i386/t-linux64
---- gcc-4.5.0.orig/gcc/config/i386/t-linux64	2009-04-21 15:03:23.000000000 -0400
-+++ gcc-4.5.0/gcc/config/i386/t-linux64	2010-07-25 16:24:14.609791880 -0400
-@@ -25,7 +25,7 @@
- 
- MULTILIB_OPTIONS = m64/m32
- MULTILIB_DIRNAMES = 64 32 
--MULTILIB_OSDIRNAMES = ../lib64 $(if $(wildcard $(shell echo $(SYSTEM_HEADER_DIR))/../../usr/lib32),../lib32,../lib)
-+MULTILIB_OSDIRNAMES = ../lib ../lib32
- 
- LIBGCC = stmp-multilib
- INSTALL_LIBGCC = install-multilib
-diff -Naur gcc-4.5.0.orig/gcc/config/mips/t-linux64 gcc-4.5.0/gcc/config/mips/t-linux64
---- gcc-4.5.0.orig/gcc/config/mips/t-linux64	2009-04-21 15:03:23.000000000 -0400
-+++ gcc-4.5.0/gcc/config/mips/t-linux64	2010-07-25 16:24:14.609791880 -0400
-@@ -18,7 +18,7 @@
- 
- MULTILIB_OPTIONS = mabi=n32/mabi=32/mabi=64
- MULTILIB_DIRNAMES = n32 32 64
--MULTILIB_OSDIRNAMES = ../lib32 ../lib ../lib64
-+MULTILIB_OSDIRNAMES = ../lib64 ../lib32 ../lib
- 
- EXTRA_MULTILIB_PARTS=crtbegin.o crtend.o crtbeginS.o crtendS.o crtbeginT.o
- 
-diff -Naur gcc-4.5.0.orig/gcc/config/rs6000/t-linux64 gcc-4.5.0/gcc/config/rs6000/t-linux64
---- gcc-4.5.0.orig/gcc/config/rs6000/t-linux64	2009-04-21 15:03:23.000000000 -0400
-+++ gcc-4.5.0/gcc/config/rs6000/t-linux64	2010-07-25 16:24:14.609791880 -0400
-@@ -36,7 +36,7 @@
- MULTILIB_EXTRA_OPTS     = fPIC mstrict-align
- MULTILIB_EXCEPTIONS     = m64/msoft-float
- MULTILIB_EXCLUSIONS     = m64/!m32/msoft-float
--MULTILIB_OSDIRNAMES	= ../lib64 $(if $(wildcard $(shell echo $(SYSTEM_HEADER_DIR))/../../usr/lib32),../lib32,../lib) nof
-+MULTILIB_OSDIRNAMES	= ../lib ../lib32 nof
- MULTILIB_MATCHES        = $(MULTILIB_MATCHES_FLOAT)
- 
- softfp_wrap_start := '\#ifndef __powerpc64__'
-diff -Naur gcc-4.5.0.orig/gcc/config/s390/t-linux64 gcc-4.5.0/gcc/config/s390/t-linux64
---- gcc-4.5.0.orig/gcc/config/s390/t-linux64	2009-10-07 04:26:47.000000000 -0400
-+++ gcc-4.5.0/gcc/config/s390/t-linux64	2010-07-25 16:24:14.609791880 -0400
-@@ -1,3 +1,3 @@
- MULTILIB_OPTIONS = m64/m31
- MULTILIB_DIRNAMES = 64 32
--MULTILIB_OSDIRNAMES = ../lib64 ../lib
-+MULTILIB_OSDIRNAMES = ../lib ../lib32
-diff -Naur gcc-4.5.0.orig/gcc/config/sh/linux.h gcc-4.5.0/gcc/config/sh/linux.h
---- gcc-4.5.0.orig/gcc/config/sh/linux.h	2007-08-02 06:49:31.000000000 -0400
-+++ gcc-4.5.0/gcc/config/sh/linux.h	2010-07-25 16:24:14.609791880 -0400
-@@ -47,7 +47,7 @@
- 
- #define TARGET_ASM_FILE_END file_end_indicate_exec_stack
- 
--#define GLIBC_DYNAMIC_LINKER "/lib/ld-linux.so.2"
-+#define GLIBC_DYNAMIC_LINKER "/tools/lib/ld-linux.so.2"
- 
- #undef SUBTARGET_LINK_EMUL_SUFFIX
- #define SUBTARGET_LINK_EMUL_SUFFIX "_linux"
-diff -Naur gcc-4.5.0.orig/gcc/config/sparc/linux.h gcc-4.5.0/gcc/config/sparc/linux.h
---- gcc-4.5.0.orig/gcc/config/sparc/linux.h	2009-12-07 18:31:01.000000000 -0500
-+++ gcc-4.5.0/gcc/config/sparc/linux.h	2010-07-25 16:24:14.609791880 -0400
-@@ -86,7 +86,7 @@
- #define GLIBC_DYNAMIC_LINKER "/lib/ld-linux.so.2"
- 
- #undef  LINK_SPEC
--#define LINK_SPEC "-m elf32_sparc -Y P,/usr/lib %{shared:-shared} \
-+#define LINK_SPEC "-m elf32_sparc -Y P,/usr/lib32 %{shared:-shared} \
-   %{!mno-relax:%{!r:-relax}} \
-   %{!shared: \
-     %{!ibcs: \
-diff -Naur gcc-4.5.0.orig/gcc/config/sparc/linux64.h gcc-4.5.0/gcc/config/sparc/linux64.h
---- gcc-4.5.0.orig/gcc/config/sparc/linux64.h	2009-12-07 18:31:01.000000000 -0500
-+++ gcc-4.5.0/gcc/config/sparc/linux64.h	2010-07-25 16:24:14.609791880 -0400
-@@ -109,8 +109,8 @@
- 
- /* If ELF is the default format, we should not use /lib/elf.  */
- 
--#define GLIBC_DYNAMIC_LINKER32 "/lib/ld-linux.so.2"
--#define GLIBC_DYNAMIC_LINKER64 "/lib64/ld-linux.so.2"
-+#define GLIBC_DYNAMIC_LINKER32 "/lib32/ld-linux.so.2"
-+#define GLIBC_DYNAMIC_LINKER64 "/lib/ld-linux.so.2"
- 
- #ifdef SPARC_BI_ARCH
- 
-@@ -121,7 +121,7 @@
-   { "link_arch_default", LINK_ARCH_DEFAULT_SPEC },	  \
-   { "link_arch",	 LINK_ARCH_SPEC },
- 
--#define LINK_ARCH32_SPEC "-m elf32_sparc -Y P,%R/usr/lib %{shared:-shared} \
-+#define LINK_ARCH32_SPEC "-m elf32_sparc -Y P,%R/usr/lib32 %{shared:-shared} \
-   %{!shared: \
-     %{!ibcs: \
-       %{!static: \
-@@ -130,7 +130,7 @@
-         %{static:-static}}} \
- "
- 
--#define LINK_ARCH64_SPEC "-m elf64_sparc -Y P,%R/usr/lib64 %{shared:-shared} \
-+#define LINK_ARCH64_SPEC "-m elf64_sparc -Y P,%R/usr/lib %{shared:-shared} \
-   %{!shared: \
-     %{!ibcs: \
-       %{!static: \
-@@ -211,7 +211,7 @@
- #else /* !SPARC_BI_ARCH */
- 
- #undef LINK_SPEC
--#define LINK_SPEC "-m elf64_sparc -Y P,%R/usr/lib64 %{shared:-shared} \
-+#define LINK_SPEC "-m elf64_sparc -Y P,%R/usr/lib %{shared:-shared} \
-   %{!shared: \
-     %{!ibcs: \
-       %{!static: \
-diff -Naur gcc-4.5.0.orig/gcc/config/sparc/t-linux64 gcc-4.5.0/gcc/config/sparc/t-linux64
---- gcc-4.5.0.orig/gcc/config/sparc/t-linux64	2009-04-21 15:03:23.000000000 -0400
-+++ gcc-4.5.0/gcc/config/sparc/t-linux64	2010-07-25 16:24:14.609791880 -0400
-@@ -19,7 +19,7 @@
- 
- MULTILIB_OPTIONS = m64/m32
- MULTILIB_DIRNAMES = 64 32
--MULTILIB_OSDIRNAMES = ../lib64 ../lib
-+MULTILIB_OSDIRNAMES = ../lib ../lib32
- 
- LIBGCC = stmp-multilib
- INSTALL_LIBGCC = install-multilib
Index: patches/gcc-4.5.1-pure64-2.patch
===================================================================
--- patches/gcc-4.5.1-pure64-2.patch	(revision 41969c7b7468101e2d5e82c2a4777c901c825f22)
+++ patches/gcc-4.5.1-pure64-2.patch	(revision 41969c7b7468101e2d5e82c2a4777c901c825f22)
@@ -0,0 +1,190 @@
+ubmitted By: Joe Ciccone <jciccone@gmail.com>
+Date: 07-25-2010
+Initial Package Version: 3.4.6
+Origin: Idea originally developed by Ryan Oliver and Greg Schafer for
+        the Pure LFS project.
+Upstream Status: Not Applied - CLFS Specific
+Description: This patch makes changes to the paths for pure64, eg 64bit libs
+             in /usr/lib, 32bit in /usr/lib32.
+
+diff -Naur gcc-4.5.1.orig/gcc/config/i386/linux64.h gcc-4.5.1/gcc/config/i386/linux64.h
+--- gcc-4.5.1.orig/gcc/config/i386/linux64.h	2010-03-24 20:44:48.000000000 +0000
++++ gcc-4.5.1/gcc/config/i386/linux64.h	2010-08-08 22:28:13.875438085 +0000
+@@ -58,8 +58,8 @@
+    When the -shared link option is used a final link is not being
+    done.  */
+ 
+-#define GLIBC_DYNAMIC_LINKER32 "/lib/ld-linux.so.2"
+-#define GLIBC_DYNAMIC_LINKER64 "/lib64/ld-linux-x86-64.so.2"
++#define GLIBC_DYNAMIC_LINKER32 "/lib32/ld-linux.so.2"
++#define GLIBC_DYNAMIC_LINKER64 "/lib/ld-linux-x86-64.so.2"
+ 
+ #if TARGET_64BIT_DEFAULT
+ #define SPEC_32 "m32"
+diff -Naur gcc-4.5.1.orig/gcc/config/i386/t-linux64 gcc-4.5.1/gcc/config/i386/t-linux64
+--- gcc-4.5.1.orig/gcc/config/i386/t-linux64	2009-04-21 19:03:23.000000000 +0000
++++ gcc-4.5.1/gcc/config/i386/t-linux64	2010-08-08 22:28:13.875438085 +0000
+@@ -25,7 +25,7 @@
+ 
+ MULTILIB_OPTIONS = m64/m32
+ MULTILIB_DIRNAMES = 64 32 
+-MULTILIB_OSDIRNAMES = ../lib64 $(if $(wildcard $(shell echo $(SYSTEM_HEADER_DIR))/../../usr/lib32),../lib32,../lib)
++MULTILIB_OSDIRNAMES = ../lib ../lib32
+ 
+ LIBGCC = stmp-multilib
+ INSTALL_LIBGCC = install-multilib
+diff -Naur gcc-4.5.1.orig/gcc/config/linux.h gcc-4.5.1/gcc/config/linux.h
+--- gcc-4.5.1.orig/gcc/config/linux.h	2009-04-09 15:00:19.000000000 +0000
++++ gcc-4.5.1/gcc/config/linux.h	2010-08-08 22:28:13.878326405 +0000
+@@ -118,7 +118,7 @@
+    GLIBC_DYNAMIC_LINKER32 and GLIBC_DYNAMIC_LINKER64 for targets
+    supporting both 32-bit and 64-bit compilation.  */
+ #define UCLIBC_DYNAMIC_LINKER "/lib/ld-uClibc.so.0"
+-#define UCLIBC_DYNAMIC_LINKER32 "/lib/ld-uClibc.so.0"
++#define UCLIBC_DYNAMIC_LINKER32 "/lib32/ld-uClibc.so.0"
+ #define UCLIBC_DYNAMIC_LINKER64 "/lib/ld64-uClibc.so.0"
+ #define LINUX_DYNAMIC_LINKER \
+   CHOOSE_DYNAMIC_LINKER (GLIBC_DYNAMIC_LINKER, UCLIBC_DYNAMIC_LINKER)
+diff -Naur gcc-4.5.1.orig/gcc/config/mips/linux64.h gcc-4.5.1/gcc/config/mips/linux64.h
+--- gcc-4.5.1.orig/gcc/config/mips/linux64.h	2009-02-20 15:20:38.000000000 +0000
++++ gcc-4.5.1/gcc/config/mips/linux64.h	2010-08-08 22:28:13.878326405 +0000
+@@ -35,10 +35,10 @@
+ %{!shared: \
+   %{profile:-lc_p} %{!profile:-lc}}"
+ 
+-#define GLIBC_DYNAMIC_LINKER32 "/lib/ld.so.1"
+-#define GLIBC_DYNAMIC_LINKER64 "/lib64/ld.so.1"
+-#define GLIBC_DYNAMIC_LINKERN32 "/lib32/ld.so.1"
+-#define UCLIBC_DYNAMIC_LINKERN32 "/lib32/ld-uClibc.so.0"
++#define GLIBC_DYNAMIC_LINKER32 "/lib32/ld.so.1"
++#define GLIBC_DYNAMIC_LINKER64 "/lib/ld.so.1"
++#define GLIBC_DYNAMIC_LINKERN32 "/lib64/ld.so.1"
++#define UCLIBC_DYNAMIC_LINKERN32 "/lib64/ld-uClibc.so.0"
+ #define LINUX_DYNAMIC_LINKERN32 \
+   CHOOSE_DYNAMIC_LINKER (GLIBC_DYNAMIC_LINKERN32, UCLIBC_DYNAMIC_LINKERN32)
+ 
+diff -Naur gcc-4.5.1.orig/gcc/config/mips/t-linux64 gcc-4.5.1/gcc/config/mips/t-linux64
+--- gcc-4.5.1.orig/gcc/config/mips/t-linux64	2009-04-21 19:03:23.000000000 +0000
++++ gcc-4.5.1/gcc/config/mips/t-linux64	2010-08-08 22:28:13.878326405 +0000
+@@ -18,7 +18,7 @@
+ 
+ MULTILIB_OPTIONS = mabi=n32/mabi=32/mabi=64
+ MULTILIB_DIRNAMES = n32 32 64
+-MULTILIB_OSDIRNAMES = ../lib32 ../lib ../lib64
++MULTILIB_OSDIRNAMES = ../lib64 ../lib32 ../lib
+ 
+ EXTRA_MULTILIB_PARTS=crtbegin.o crtend.o crtbeginS.o crtendS.o crtbeginT.o
+ 
+diff -Naur gcc-4.5.1.orig/gcc/config/rs6000/linux64.h gcc-4.5.1/gcc/config/rs6000/linux64.h
+--- gcc-4.5.1.orig/gcc/config/rs6000/linux64.h	2010-03-17 04:44:37.000000000 +0000
++++ gcc-4.5.1/gcc/config/rs6000/linux64.h	2010-08-08 22:28:13.878326405 +0000
+@@ -348,9 +348,9 @@
+ #undef	LINK_OS_DEFAULT_SPEC
+ #define LINK_OS_DEFAULT_SPEC "%(link_os_linux)"
+ 
+-#define GLIBC_DYNAMIC_LINKER32 "/lib/ld.so.1"
+-#define GLIBC_DYNAMIC_LINKER64 "/lib64/ld64.so.1"
+-#define UCLIBC_DYNAMIC_LINKER32 "/lib/ld-uClibc.so.0"
++#define GLIBC_DYNAMIC_LINKER32 "/lib32/ld.so.1"
++#define GLIBC_DYNAMIC_LINKER64 "/lib/ld64.so.1"
++#define UCLIBC_DYNAMIC_LINKER32 "/lib32/ld-uClibc.so.0"
+ #define UCLIBC_DYNAMIC_LINKER64 "/lib/ld64-uClibc.so.0"
+ #if UCLIBC_DEFAULT
+ #define CHOOSE_DYNAMIC_LINKER(G, U) "%{mglibc:%{muclibc:%e-mglibc and -muclibc used together}" G ";:" U "}"
+diff -Naur gcc-4.5.1.orig/gcc/config/rs6000/t-linux64 gcc-4.5.1/gcc/config/rs6000/t-linux64
+--- gcc-4.5.1.orig/gcc/config/rs6000/t-linux64	2009-04-21 19:03:23.000000000 +0000
++++ gcc-4.5.1/gcc/config/rs6000/t-linux64	2010-08-08 22:28:13.878326405 +0000
+@@ -36,7 +36,7 @@
+ MULTILIB_EXTRA_OPTS     = fPIC mstrict-align
+ MULTILIB_EXCEPTIONS     = m64/msoft-float
+ MULTILIB_EXCLUSIONS     = m64/!m32/msoft-float
+-MULTILIB_OSDIRNAMES	= ../lib64 $(if $(wildcard $(shell echo $(SYSTEM_HEADER_DIR))/../../usr/lib32),../lib32,../lib) nof
++MULTILIB_OSDIRNAMES	= ../lib ../lib32 nof
+ MULTILIB_MATCHES        = $(MULTILIB_MATCHES_FLOAT)
+ 
+ softfp_wrap_start := '\#ifndef __powerpc64__'
+diff -Naur gcc-4.5.1.orig/gcc/config/s390/linux.h gcc-4.5.1/gcc/config/s390/linux.h
+--- gcc-4.5.1.orig/gcc/config/s390/linux.h	2007-08-02 10:49:31.000000000 +0000
++++ gcc-4.5.1/gcc/config/s390/linux.h	2010-08-08 22:28:13.878326405 +0000
+@@ -72,7 +72,7 @@
+ #define MULTILIB_DEFAULTS { "m31" }
+ #endif
+ 
+-#define GLIBC_DYNAMIC_LINKER32 "/lib/ld.so.1"
++#define GLIBC_DYNAMIC_LINKER32 "/lib32/ld.so.1"
+ #define GLIBC_DYNAMIC_LINKER64 "/lib/ld64.so.1"
+ 
+ #undef  LINK_SPEC
+diff -Naur gcc-4.5.1.orig/gcc/config/s390/t-linux64 gcc-4.5.1/gcc/config/s390/t-linux64
+--- gcc-4.5.1.orig/gcc/config/s390/t-linux64	2009-10-07 08:26:47.000000000 +0000
++++ gcc-4.5.1/gcc/config/s390/t-linux64	2010-08-08 22:28:13.878326405 +0000
+@@ -1,3 +1,3 @@
+ MULTILIB_OPTIONS = m64/m31
+ MULTILIB_DIRNAMES = 64 32
+-MULTILIB_OSDIRNAMES = ../lib64 ../lib
++MULTILIB_OSDIRNAMES = ../lib ../lib32
+diff -Naur gcc-4.5.1.orig/gcc/config/sparc/linux.h gcc-4.5.1/gcc/config/sparc/linux.h
+--- gcc-4.5.1.orig/gcc/config/sparc/linux.h	2009-12-07 23:31:01.000000000 +0000
++++ gcc-4.5.1/gcc/config/sparc/linux.h	2010-08-08 22:28:13.882452246 +0000
+@@ -86,7 +86,7 @@
+ #define GLIBC_DYNAMIC_LINKER "/lib/ld-linux.so.2"
+ 
+ #undef  LINK_SPEC
+-#define LINK_SPEC "-m elf32_sparc -Y P,/usr/lib %{shared:-shared} \
++#define LINK_SPEC "-m elf32_sparc -Y P,/lib32 %{shared:-shared} \
+   %{!mno-relax:%{!r:-relax}} \
+   %{!shared: \
+     %{!ibcs: \
+diff -Naur gcc-4.5.1.orig/gcc/config/sparc/linux64.h gcc-4.5.1/gcc/config/sparc/linux64.h
+--- gcc-4.5.1.orig/gcc/config/sparc/linux64.h	2009-12-07 23:31:01.000000000 +0000
++++ gcc-4.5.1/gcc/config/sparc/linux64.h	2010-08-08 22:28:13.882452246 +0000
+@@ -109,8 +109,8 @@
+ 
+ /* If ELF is the default format, we should not use /lib/elf.  */
+ 
+-#define GLIBC_DYNAMIC_LINKER32 "/lib/ld-linux.so.2"
+-#define GLIBC_DYNAMIC_LINKER64 "/lib64/ld-linux.so.2"
++#define GLIBC_DYNAMIC_LINKER32 "/lib32/ld-linux.so.2"
++#define GLIBC_DYNAMIC_LINKER64 "/lib/ld-linux.so.2"
+ 
+ #ifdef SPARC_BI_ARCH
+ 
+@@ -121,7 +121,7 @@
+   { "link_arch_default", LINK_ARCH_DEFAULT_SPEC },	  \
+   { "link_arch",	 LINK_ARCH_SPEC },
+ 
+-#define LINK_ARCH32_SPEC "-m elf32_sparc -Y P,%R/usr/lib %{shared:-shared} \
++#define LINK_ARCH32_SPEC "-m elf32_sparc -Y P,%R/lib32 %{shared:-shared} \
+   %{!shared: \
+     %{!ibcs: \
+       %{!static: \
+@@ -130,7 +130,7 @@
+         %{static:-static}}} \
+ "
+ 
+-#define LINK_ARCH64_SPEC "-m elf64_sparc -Y P,%R/usr/lib64 %{shared:-shared} \
++#define LINK_ARCH64_SPEC "-m elf64_sparc -Y P,%R/lib %{shared:-shared} \
+   %{!shared: \
+     %{!ibcs: \
+       %{!static: \
+@@ -211,7 +211,7 @@
+ #else /* !SPARC_BI_ARCH */
+ 
+ #undef LINK_SPEC
+-#define LINK_SPEC "-m elf64_sparc -Y P,%R/usr/lib64 %{shared:-shared} \
++#define LINK_SPEC "-m elf64_sparc -Y P,%R/lib %{shared:-shared} \
+   %{!shared: \
+     %{!ibcs: \
+       %{!static: \
+diff -Naur gcc-4.5.1.orig/gcc/config/sparc/t-linux64 gcc-4.5.1/gcc/config/sparc/t-linux64
+--- gcc-4.5.1.orig/gcc/config/sparc/t-linux64	2009-04-21 19:03:23.000000000 +0000
++++ gcc-4.5.1/gcc/config/sparc/t-linux64	2010-08-08 22:28:13.882452246 +0000
+@@ -19,7 +19,7 @@
+ 
+ MULTILIB_OPTIONS = m64/m32
+ MULTILIB_DIRNAMES = 64 32
+-MULTILIB_OSDIRNAMES = ../lib64 ../lib
++MULTILIB_OSDIRNAMES = ../lib ../lib32
+ 
+ LIBGCC = stmp-multilib
+ INSTALL_LIBGCC = install-multilib