Index: BOOK/appendices/dependencies/common.xml
===================================================================
--- BOOK/appendices/dependencies/common.xml	(revision 7a42ca43cd91b7785f4bd00a83620b033297560e)
+++ BOOK/appendices/dependencies/common.xml	(revision 43123fbe666795fcae8e956774344006ed74b9a0)
@@ -242,5 +242,5 @@
 
         <seglistitem>
-          <seg>Diffutils</seg>
+          <seg>Diffutils, E2fsprogs</seg>
         </seglistitem>
       </segmentedlist>
Index: BOOK/final-system/alpha-chapter.xml
===================================================================
--- BOOK/final-system/alpha-chapter.xml	(revision 7a42ca43cd91b7785f4bd00a83620b033297560e)
+++ BOOK/final-system/alpha-chapter.xml	(revision 43123fbe666795fcae8e956774344006ed74b9a0)
@@ -22,4 +22,6 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/binutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/gcc.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/sed.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/e2fsprogs.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/coreutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/iana-etc.xml"/>
@@ -28,5 +30,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/ncurses.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/procps.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/sed.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/libtool.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/flex.xml"/>
@@ -40,5 +41,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/bzip2.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/diffutils.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/e2fsprogs.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/file.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/findutils.xml"/>
Index: BOOK/final-system/mips-chapter.xml
===================================================================
--- BOOK/final-system/mips-chapter.xml	(revision 7a42ca43cd91b7785f4bd00a83620b033297560e)
+++ BOOK/final-system/mips-chapter.xml	(revision 43123fbe666795fcae8e956774344006ed74b9a0)
@@ -22,4 +22,6 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/binutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/gcc.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/sed.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/e2fsprogs.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/coreutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/iana-etc.xml"/>
@@ -28,5 +30,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/ncurses.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/procps.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/sed.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/libtool.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/flex.xml"/>
@@ -40,5 +41,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/bzip2.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/diffutils.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/e2fsprogs.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips/file.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/findutils.xml"/>
Index: BOOK/final-system/mips64-64-chapter.xml
===================================================================
--- BOOK/final-system/mips64-64-chapter.xml	(revision 7a42ca43cd91b7785f4bd00a83620b033297560e)
+++ BOOK/final-system/mips64-64-chapter.xml	(revision 43123fbe666795fcae8e956774344006ed74b9a0)
@@ -22,4 +22,6 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="64/binutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips64-64/gcc.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/sed.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/e2fsprogs.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/coreutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/iana-etc.xml"/>
@@ -28,5 +30,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/ncurses.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/procps.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/sed.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/libtool.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/flex.xml"/>
@@ -40,5 +41,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/bzip2.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/diffutils.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/e2fsprogs.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips/file.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/findutils.xml"/>
Index: BOOK/final-system/mips64-chapter.xml
===================================================================
--- BOOK/final-system/mips64-chapter.xml	(revision 7a42ca43cd91b7785f4bd00a83620b033297560e)
+++ BOOK/final-system/mips64-chapter.xml	(revision 43123fbe666795fcae8e956774344006ed74b9a0)
@@ -24,4 +24,8 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/binutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips64/gcc.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/sed.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/e2fsprogs.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/e2fsprogs-n32.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/e2fsprogs-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/multiarch_wrapper.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/coreutils.xml"/>
@@ -37,5 +41,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/procps-n32.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/procps-64bit.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/sed.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/libtool.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/libtool-n32.xml"/>
@@ -61,7 +64,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/bzip2-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/diffutils.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/e2fsprogs.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/e2fsprogs-n32.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/e2fsprogs-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips64/file.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips64/file-n32.xml"/>
Index: BOOK/final-system/ppc-chapter.xml
===================================================================
--- BOOK/final-system/ppc-chapter.xml	(revision 7a42ca43cd91b7785f4bd00a83620b033297560e)
+++ BOOK/final-system/ppc-chapter.xml	(revision 43123fbe666795fcae8e956774344006ed74b9a0)
@@ -22,4 +22,6 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/binutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/gcc.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/sed.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/e2fsprogs.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/coreutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/iana-etc.xml"/>
@@ -28,5 +30,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/ncurses.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/procps.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/sed.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/libtool.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/flex.xml"/>
@@ -40,5 +41,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/bzip2.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/diffutils.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/e2fsprogs.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/file.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/findutils.xml"/>
Index: BOOK/final-system/ppc64-chapter.xml
===================================================================
--- BOOK/final-system/ppc64-chapter.xml	(revision 7a42ca43cd91b7785f4bd00a83620b033297560e)
+++ BOOK/final-system/ppc64-chapter.xml	(revision 43123fbe666795fcae8e956774344006ed74b9a0)
@@ -24,4 +24,7 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="ppc64/gcc.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/multiarch_wrapper.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/sed.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/e2fsprogs.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/e2fsprogs-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/coreutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/iana-etc.xml"/>
@@ -33,5 +36,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/procps.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/procps-64bit.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/sed.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="ppc64/libtool.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/libtool-64bit.xml"/>
@@ -51,6 +53,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/bzip2-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/diffutils.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/e2fsprogs.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/e2fsprogs-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/file.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/file-64bit.xml"/>
Index: BOOK/final-system/sparc-chapter.xml
===================================================================
--- BOOK/final-system/sparc-chapter.xml	(revision 7a42ca43cd91b7785f4bd00a83620b033297560e)
+++ BOOK/final-system/sparc-chapter.xml	(revision 43123fbe666795fcae8e956774344006ed74b9a0)
@@ -22,4 +22,6 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/binutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sparc/gcc.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/sed.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/e2fsprogs.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/coreutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/iana-etc.xml"/>
@@ -28,5 +30,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/ncurses.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/procps.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/sed.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/libtool.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/flex.xml"/>
@@ -40,5 +41,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/bzip2.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/diffutils.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/e2fsprogs.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/file.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/findutils.xml"/>
Index: BOOK/final-system/sparc64-64-chapter.xml
===================================================================
--- BOOK/final-system/sparc64-64-chapter.xml	(revision 7a42ca43cd91b7785f4bd00a83620b033297560e)
+++ BOOK/final-system/sparc64-64-chapter.xml	(revision 43123fbe666795fcae8e956774344006ed74b9a0)
@@ -21,4 +21,6 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="64/binutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sparc64-64/gcc.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/sed.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/e2fsprogs.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/coreutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/iana-etc.xml"/>
@@ -27,5 +29,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/ncurses.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/procps.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/sed.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/libtool.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/flex.xml"/>
@@ -39,5 +40,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/bzip2.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/diffutils.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/e2fsprogs.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/file.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/findutils.xml"/>
Index: BOOK/final-system/sparc64-chapter.xml
===================================================================
--- BOOK/final-system/sparc64-chapter.xml	(revision 7a42ca43cd91b7785f4bd00a83620b033297560e)
+++ BOOK/final-system/sparc64-chapter.xml	(revision 43123fbe666795fcae8e956774344006ed74b9a0)
@@ -24,4 +24,7 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sparc64/gcc.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/multiarch_wrapper.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/sed.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/e2fsprogs.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/e2fsprogs-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/coreutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/iana-etc.xml"/>
@@ -33,5 +36,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/procps.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/procps-64bit.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/sed.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sparc64/libtool.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/libtool-64bit.xml"/>
@@ -51,6 +53,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/bzip2-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/diffutils.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/e2fsprogs.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/e2fsprogs-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/file.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/file-64bit.xml"/>
Index: BOOK/final-system/x86-chapter.xml
===================================================================
--- BOOK/final-system/x86-chapter.xml	(revision 7a42ca43cd91b7785f4bd00a83620b033297560e)
+++ BOOK/final-system/x86-chapter.xml	(revision 43123fbe666795fcae8e956774344006ed74b9a0)
@@ -22,4 +22,6 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/binutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/gcc.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/sed.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/e2fsprogs.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/coreutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/iana-etc.xml"/>
@@ -28,5 +30,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/ncurses.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/procps.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/sed.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/libtool.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/flex.xml"/>
@@ -40,5 +41,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/bzip2.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/diffutils.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/e2fsprogs.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/file.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/findutils.xml"/>
Index: BOOK/final-system/x86_64-64-chapter.xml
===================================================================
--- BOOK/final-system/x86_64-64-chapter.xml	(revision 7a42ca43cd91b7785f4bd00a83620b033297560e)
+++ BOOK/final-system/x86_64-64-chapter.xml	(revision 43123fbe666795fcae8e956774344006ed74b9a0)
@@ -21,4 +21,6 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86_64-64/binutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="64/gcc.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/sed.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/e2fsprogs.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/coreutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/iana-etc.xml"/>
@@ -27,5 +29,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/ncurses.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/procps.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/sed.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/libtool.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/flex.xml"/>
@@ -39,5 +40,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/bzip2.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/diffutils.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/e2fsprogs.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/file.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/findutils.xml"/>
Index: BOOK/final-system/x86_64-chapter.xml
===================================================================
--- BOOK/final-system/x86_64-chapter.xml	(revision 7a42ca43cd91b7785f4bd00a83620b033297560e)
+++ BOOK/final-system/x86_64-chapter.xml	(revision 43123fbe666795fcae8e956774344006ed74b9a0)
@@ -24,4 +24,7 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/gcc.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/multiarch_wrapper.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/sed.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/e2fsprogs.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/e2fsprogs-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/coreutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/iana-etc.xml"/>
@@ -33,5 +36,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/procps.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/procps-64bit.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/sed.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86_64/libtool.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/libtool-64bit.xml"/>
@@ -51,6 +53,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/bzip2-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/diffutils.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/e2fsprogs.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/e2fsprogs-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/file.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/file-64bit.xml"/>
Index: BOOK/general.ent
===================================================================
--- BOOK/general.ent	(revision 7a42ca43cd91b7785f4bd00a83620b033297560e)
+++ BOOK/general.ent	(revision 43123fbe666795fcae8e956774344006ed74b9a0)
@@ -3,5 +3,5 @@
 <!ENTITY month "10"> <!-- Use two digits -->
 <!ENTITY month_name "October">
-<!ENTITY day "24"> <!-- Use two digits -->
+<!ENTITY day "25"> <!-- Use two digits -->
 <!ENTITY year "2006"> <!-- Use four digits -->
 
Index: BOOK/introduction/common/changelog.xml
===================================================================
--- BOOK/introduction/common/changelog.xml	(revision 7a42ca43cd91b7785f4bd00a83620b033297560e)
+++ BOOK/introduction/common/changelog.xml	(revision 43123fbe666795fcae8e956774344006ed74b9a0)
@@ -38,4 +38,14 @@
 
     <listitem>
+      <para>October 25, 2006</para>
+      <itemizedlist>
+        <listitem>
+          <para>[Chris] - Moved e2fsprogs and sed before coreutils, as
+          Coreutils testsuite now requires e2fsprogs.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>October 23, 2006</para>
       <itemizedlist>