Index: BOOK/boot/mips/kernel.xml
===================================================================
--- BOOK/boot/mips/kernel.xml	(revision 53ba1695ff55e70556d336989c4176a6ff388616)
+++ BOOK/boot/mips/kernel.xml	(revision 46974b01a52b8921ecf69bd2c61a31ee5a745137)
@@ -89,5 +89,6 @@
     xpointer="xpointer(//*[@os='v'])"/>
 
-<screen><userinput>cp -v vmlinux /tools/boot/vmlinux-&linux-version;
+<screen><userinput>mkdir -pv /tools/boot
+cp -v vmlinux /tools/boot/vmlinux-&linux-version;
 gzip -9 /tools/boot/vmlinux-&linux-version;</userinput></screen>
 
Index: BOOK/boot/mips64/kernel.xml
===================================================================
--- BOOK/boot/mips64/kernel.xml	(revision 53ba1695ff55e70556d336989c4176a6ff388616)
+++ BOOK/boot/mips64/kernel.xml	(revision 46974b01a52b8921ecf69bd2c61a31ee5a745137)
@@ -93,5 +93,6 @@
     xpointer="xpointer(//*[@os='v'])"/>
 
-<screen><userinput>cp -v vmlinux /tools/boot/vmlinux-&linux-version;
+<screen><userinput>mkdir -pv /tools/boot
+cp -v vmlinux /tools/boot/vmlinux-&linux-version;
 gzip -9 /tools/boot/vmlinux-&linux-version;</userinput></screen>
 
Index: BOOK/boot/ppc/kernel.xml
===================================================================
--- BOOK/boot/ppc/kernel.xml	(revision 53ba1695ff55e70556d336989c4176a6ff388616)
+++ BOOK/boot/ppc/kernel.xml	(revision 46974b01a52b8921ecf69bd2c61a31ee5a745137)
@@ -94,5 +94,6 @@
     xpointer="xpointer(//*[@os='v'])"/>
 
-<screen><userinput>cp -v vmlinux /tools/boot/clfskernel-&linux-version;</userinput></screen>
+<screen><userinput>mkdir -pv /tools/boot
+cp -v vmlinux /tools/boot/clfskernel-&linux-version;</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/boot/ppc64/kernel.xml
===================================================================
--- BOOK/boot/ppc64/kernel.xml	(revision 53ba1695ff55e70556d336989c4176a6ff388616)
+++ BOOK/boot/ppc64/kernel.xml	(revision 46974b01a52b8921ecf69bd2c61a31ee5a745137)
@@ -93,5 +93,6 @@
     xpointer="xpointer(//*[@os='v'])"/>
 
-<screen><userinput>cp -v vmlinux /tools/boot/clfskernel-&linux-version;</userinput></screen>
+<screen><userinput>mkdir -pv /tools/boot
+cp -v vmlinux /tools/boot/clfskernel-&linux-version;</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/boot/sparc/kernel.xml
===================================================================
--- BOOK/boot/sparc/kernel.xml	(revision 53ba1695ff55e70556d336989c4176a6ff388616)
+++ BOOK/boot/sparc/kernel.xml	(revision 46974b01a52b8921ecf69bd2c61a31ee5a745137)
@@ -89,5 +89,6 @@
     xpointer="xpointer(//*[@os='v'])"/>
 
-<screen><userinput>cp -v vmlinux /tools/boot/clfskernel-&linux-version;</userinput></screen>
+<screen><userinput>mkdir -pv /tools/boot
+cp -v vmlinux /tools/boot/clfskernel-&linux-version;</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/boot/sparc64/kernel.xml
===================================================================
--- BOOK/boot/sparc64/kernel.xml	(revision 53ba1695ff55e70556d336989c4176a6ff388616)
+++ BOOK/boot/sparc64/kernel.xml	(revision 46974b01a52b8921ecf69bd2c61a31ee5a745137)
@@ -91,5 +91,6 @@
     xpointer="xpointer(//*[@os='v'])"/>
 
-<screen><userinput>cp -v vmlinux /tools/boot/clfskernel-&linux-version;</userinput></screen>
+<screen><userinput>mkdir -pv /tools/boot
+cp -v vmlinux /tools/boot/clfskernel-&linux-version;</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/boot/x86/kernel.xml
===================================================================
--- BOOK/boot/x86/kernel.xml	(revision 53ba1695ff55e70556d336989c4176a6ff388616)
+++ BOOK/boot/x86/kernel.xml	(revision 46974b01a52b8921ecf69bd2c61a31ee5a745137)
@@ -95,5 +95,6 @@
     <para os="v">Issue the following commands to install the kernel:</para>
 
-<screen><userinput>cp -v arch/i386/boot/bzImage /tools/boot/vmlinuz-clfs-&linux-version;</userinput></screen>
+<screen><userinput>mkdir -pv /tools/boot
+cp -v arch/i386/boot/bzImage /tools/boot/vmlinuz-clfs-&linux-version;</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"