Index: final-system/alpha-chapter.xml
===================================================================
--- final-system/alpha-chapter.xml	(revision 878ca1ccbb0e57060443f1c02b4499d909526ee8)
+++ final-system/alpha-chapter.xml	(revision 54996cb811c64d9fb89a486938913fc5d4ee1432)
@@ -51,4 +51,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/man-pages.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/make.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/mktemp.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/module-init-tools.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/patch.xml"/>
@@ -61,5 +62,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/util-linux.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/mktemp.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/hotplug.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="alpha/aboot.xml"/>
Index: final-system/mips-chapter.xml
===================================================================
--- final-system/mips-chapter.xml	(revision 878ca1ccbb0e57060443f1c02b4499d909526ee8)
+++ final-system/mips-chapter.xml	(revision 54996cb811c64d9fb89a486938913fc5d4ee1432)
@@ -51,4 +51,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/man-pages.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips/make.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips/mktemp.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips/module-init-tools.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/patch.xml"/>
@@ -61,5 +62,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/util-linux.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips/mktemp.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/hotplug.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips/colo.xml"/>
Index: final-system/mips64-64-chapter.xml
===================================================================
--- final-system/mips64-64-chapter.xml	(revision 878ca1ccbb0e57060443f1c02b4499d909526ee8)
+++ final-system/mips64-64-chapter.xml	(revision 54996cb811c64d9fb89a486938913fc5d4ee1432)
@@ -51,4 +51,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/man-pages.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips64/make.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips/mktemp.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips64/module-init-tools.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/patch.xml"/>
@@ -61,5 +62,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips64/util-linux.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips/mktemp.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/hotplug.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips64/colo.xml"/>
Index: final-system/mips64-chapter.xml
===================================================================
--- final-system/mips64-chapter.xml	(revision 878ca1ccbb0e57060443f1c02b4499d909526ee8)
+++ final-system/mips64-chapter.xml	(revision 54996cb811c64d9fb89a486938913fc5d4ee1432)
@@ -71,4 +71,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/man-pages.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips64/make.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips64/mktemp.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips64/module-init-tools.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/patch.xml"/>
@@ -85,5 +86,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips64/util-linux.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/udev.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips64/mktemp.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/hotplug.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips64/colo.xml"/>
Index: final-system/ppc-chapter.xml
===================================================================
--- final-system/ppc-chapter.xml	(revision 878ca1ccbb0e57060443f1c02b4499d909526ee8)
+++ final-system/ppc-chapter.xml	(revision 54996cb811c64d9fb89a486938913fc5d4ee1432)
@@ -51,4 +51,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/man-pages.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/make.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/mktemp.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/module-init-tools.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="ppc/patch.xml"/>
@@ -61,5 +62,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/util-linux.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/mktemp.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/hotplug.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="ppc/hfsutils.xml"/>
Index: final-system/sparc-chapter.xml
===================================================================
--- final-system/sparc-chapter.xml	(revision 878ca1ccbb0e57060443f1c02b4499d909526ee8)
+++ final-system/sparc-chapter.xml	(revision 54996cb811c64d9fb89a486938913fc5d4ee1432)
@@ -51,4 +51,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/man-pages.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/make.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/mktemp.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/module-init-tools.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/patch.xml"/>
@@ -61,5 +62,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/util-linux.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/mktemp.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/hotplug.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sparc/elftoaout.xml"/>
Index: final-system/sparc64-64-chapter.xml
===================================================================
--- final-system/sparc64-64-chapter.xml	(revision 878ca1ccbb0e57060443f1c02b4499d909526ee8)
+++ final-system/sparc64-64-chapter.xml	(revision 54996cb811c64d9fb89a486938913fc5d4ee1432)
@@ -51,4 +51,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/man-pages.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/make.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/mktemp.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/module-init-tools.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/patch.xml"/>
@@ -61,5 +62,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/util-linux.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/mktemp.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/hotplug.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sparc/elftoaout.xml"/>
Index: final-system/sparc64-chapter.xml
===================================================================
--- final-system/sparc64-chapter.xml	(revision 878ca1ccbb0e57060443f1c02b4499d909526ee8)
+++ final-system/sparc64-chapter.xml	(revision 54996cb811c64d9fb89a486938913fc5d4ee1432)
@@ -61,4 +61,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/man-pages.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/make.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/mktemp.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/module-init-tools.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/patch.xml"/>
@@ -73,5 +74,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/util-linux.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/udev.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/mktemp.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/hotplug.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sparc64/elftoaout.xml"/>
Index: final-system/sparcv8-chapter.xml
===================================================================
--- final-system/sparcv8-chapter.xml	(revision 878ca1ccbb0e57060443f1c02b4499d909526ee8)
+++ final-system/sparcv8-chapter.xml	(revision 54996cb811c64d9fb89a486938913fc5d4ee1432)
@@ -51,4 +51,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/man-pages.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/make.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/mktemp.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/module-init-tools.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/patch.xml"/>
@@ -61,5 +62,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/util-linux.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/mktemp.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/hotplug.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sparc/elftoaout.xml"/>
Index: final-system/x86-chapter.xml
===================================================================
--- final-system/x86-chapter.xml	(revision 878ca1ccbb0e57060443f1c02b4499d909526ee8)
+++ final-system/x86-chapter.xml	(revision 54996cb811c64d9fb89a486938913fc5d4ee1432)
@@ -51,4 +51,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/man-pages.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/make.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/mktemp.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/module-init-tools.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/patch.xml"/>
@@ -61,5 +62,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/util-linux.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/mktemp.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/hotplug.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86/grub.xml"/>
Index: final-system/x86_64-64-chapter.xml
===================================================================
--- final-system/x86_64-64-chapter.xml	(revision 878ca1ccbb0e57060443f1c02b4499d909526ee8)
+++ final-system/x86_64-64-chapter.xml	(revision 54996cb811c64d9fb89a486938913fc5d4ee1432)
@@ -51,4 +51,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/man-pages.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/make.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/mktemp.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/module-init-tools.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/patch.xml"/>
@@ -61,5 +62,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/util-linux.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/mktemp.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/hotplug.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86_64-64/grub.xml"/>
Index: final-system/x86_64-chapter.xml
===================================================================
--- final-system/x86_64-chapter.xml	(revision 878ca1ccbb0e57060443f1c02b4499d909526ee8)
+++ final-system/x86_64-chapter.xml	(revision 54996cb811c64d9fb89a486938913fc5d4ee1432)
@@ -61,4 +61,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/man-pages.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/make.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/mktemp.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/module-init-tools.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/patch.xml"/>
@@ -73,5 +74,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/util-linux.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/udev.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/mktemp.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/hotplug.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86_64/grub.xml"/>
Index: introduction/common/changelog.xml
===================================================================
--- introduction/common/changelog.xml	(revision 878ca1ccbb0e57060443f1c02b4499d909526ee8)
+++ introduction/common/changelog.xml	(revision 54996cb811c64d9fb89a486938913fc5d4ee1432)
@@ -53,4 +53,8 @@
                 by other devs</para>
         </listitem>
+        <listitem>
+          <para>[ken] - Moved Mktemp ahead of Module-init-tools so that the latter's
+	 	testsuite doesn't bail out when testing generate-modprobe.conf.</para>
+        </listitem>
       </itemizedlist>
     </listitem>