Index: scripts/fetch/eglibc.sh
===================================================================
--- scripts/fetch/eglibc.sh	(revision bb6d7f8106a762b0ce4d2ce18c7658124eb33e9c)
+++ scripts/fetch/eglibc.sh	(revision 55439e2b739495a9addb207d76524db4e9967db1)
@@ -70,5 +70,5 @@
 find . -name configure -exec touch {} \;
 
-# Create A copy of the Original Directory So We can do some Updates
+# Create a copy of the Original Directory So We can do some Updates
 #
 cd ~/tmp/eglibc-${SOURCEVERSION}
Index: scripts/patch/binutils-patch.sh
===================================================================
--- scripts/patch/binutils-patch.sh	(revision bb6d7f8106a762b0ce4d2ce18c7658124eb33e9c)
+++ scripts/patch/binutils-patch.sh	(revision 55439e2b739495a9addb207d76524db4e9967db1)
@@ -111,10 +111,18 @@
 unset DATE_STAMP
 
-# Create Another Copy to create fixes patch
+# Create a copy of the Original Directory So We can do some Updates
 #
 cd ~/tmp
+rm -rf binutils-${SOURCEVERSION}.orig
+cp -ar binutils-${SOURCEVERSION} binutils-${SOURCEVERSION}.orig
+
+# Make testsuite fixes
+#
+cd ~/tmp/binutils-${SOURCEVERSION}
+sed -i -e 's/getline/_getline/' libiberty/testsuite/test-demangle.c
+
+# Create fixes patch
+#
 if [ -e ${PATCH_DIR}/${SOURCEVERSION} ]; then
-  rm -rf binutils-${SOURCEVERSION}.orig
-  cp -ar binutils-${SOURCEVERSION} binutils-${SOURCEVERSION}.orig
 
   # Apply Patches from directories
@@ -140,28 +148,28 @@
     done
   fi
+fi
 
-  # Cleanup Directory
-  #
-  cd ~/tmp/binutils-${SOURCEVERSION}
-  rm -f $(find * -name "*~")
-  rm -f $(find * -name "*.orig")
-  rm -f $(find * -name "*.rej")
-  rm -f *.orig *~ *.rej
+# Cleanup Directory
+#
+cd ~/tmp/binutils-${SOURCEVERSION}
+rm -f $(find * -name "*~")
+rm -f $(find * -name "*.orig")
+rm -f $(find * -name "*.rej")
+rm -f *.orig *~ *.rej
 
-  # Create Patch
-  #
-  cd ~/tmp
-  install -d ~/patches
-  echo "Submitted By: Jim Gifford (jim at cross-lfs dot org)" > ~/patches/binutils-${SOURCEVERSION}-fixes-${PATCH_NUM2}.patch
-  echo "Date: `date +%m-%d-%Y`" >> ~/patches/binutils-${SOURCEVERSION}-fixes-${PATCH_NUM2}.patch
-  echo "Initial Package Version: ${VERSION}" >> ~/patches/binutils-${SOURCEVERSION}-fixes-${PATCH_NUM2}.patch
-  echo "Origin: Upstream" >> ~/patches/binutils-${SOURCEVERSION}-fixes-${PATCH_NUM2}.patch
-  echo "Upstream Status: Applied" >> ~/patches/binutils-${SOURCEVERSION}-fixes-${PATCH_NUM2}.patch
-  echo "Description: This Patch contains fixes for binutils-${SOURCEVERSION}, and should be" >> ~/patches/binutils-${SOURCEVERSION}-fixes-${PATCH_NUM2}.patch
-  echo "             rechecked periodically." >> ~/patches/binutils-${SOURCEVERSION}-fixes-${PATCH_NUM2}.patch
-  echo "" >> ~/patches/binutils-${SOURCEVERSION}-fixes-${PATCH_NUM2}.patch
-  diff -Naur binutils-${SOURCEVERSION}.orig binutils-${SOURCEVERSION} >> ~/patches/binutils-${SOURCEVERSION}-fixes-${PATCH_NUM2}.patch
-  echo "Created ~/patches/binutils-${SOURCEVERSION}-fixes-${PATCH_NUM2}.patch."
-fi
+# Create Patch
+#
+cd ~/tmp
+install -d ~/patches
+echo "Submitted By: Jim Gifford (jim at cross-lfs dot org)" > ~/patches/binutils-${SOURCEVERSION}-fixes-${PATCH_NUM2}.patch
+echo "Date: `date +%m-%d-%Y`" >> ~/patches/binutils-${SOURCEVERSION}-fixes-${PATCH_NUM2}.patch
+echo "Initial Package Version: ${VERSION}" >> ~/patches/binutils-${SOURCEVERSION}-fixes-${PATCH_NUM2}.patch
+echo "Origin: Upstream" >> ~/patches/binutils-${SOURCEVERSION}-fixes-${PATCH_NUM2}.patch
+echo "Upstream Status: Applied" >> ~/patches/binutils-${SOURCEVERSION}-fixes-${PATCH_NUM2}.patch
+echo "Description: This Patch contains fixes for binutils-${SOURCEVERSION}, and should be" >> ~/patches/binutils-${SOURCEVERSION}-fixes-${PATCH_NUM2}.patch
+echo "             rechecked periodically." >> ~/patches/binutils-${SOURCEVERSION}-fixes-${PATCH_NUM2}.patch
+echo "" >> ~/patches/binutils-${SOURCEVERSION}-fixes-${PATCH_NUM2}.patch
+diff -Naur binutils-${SOURCEVERSION}.orig binutils-${SOURCEVERSION} >> ~/patches/binutils-${SOURCEVERSION}-fixes-${PATCH_NUM2}.patch
+echo "Created ~/patches/binutils-${SOURCEVERSION}-fixes-${PATCH_NUM2}.patch."
 
 # Cleanup Directory